-- phpMyAdmin SQL Dump
-- version 4.7.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 14, 2018 at 08:39 PM
-- Server version: 10.1.26-MariaDB
-- PHP Version: 7.1.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `sql_tutorial`
--
DROP DATABASE IF EXISTS `sql_tutorial`;
CREATE DATABASE IF NOT EXISTS `sql_tutorial` DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;
USE `sql_tutorial`;

-- --------------------------------------------------------

--
-- Table structure for table `ispiti`
--

CREATE TABLE `ispiti` (
  `IdIspit` int(11) NOT NULL,
  `IdStudent` int(11) NOT NULL,
  `ImeIspita` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Semestar` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `BrojESPB` int(11) NOT NULL,
  `Katedra` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Poeni` float NOT NULL,
  `Ocena` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `ispiti`
--

INSERT INTO `ispiti` (`IdIspit`, `IdStudent`, `ImeIspita`, `Semestar`, `BrojESPB`, `Katedra`, `Poeni`, `Ocena`) VALUES
(1, 1, 'OET1', 'Zimski', 7, 'Opšta Elektrotehnika', 57, 6),
(2, 6, 'OET2', 'Letnji', 7, 'Opšta Elektrotehnika', 57, 9),
(3, 8, 'Matematika1', 'Zimski', 7, 'Primenjena Matematika', 91, 10),
(4, 5, 'Matematika2', 'Letnji', 7, 'Primenjena Matematika', 76, 8),
(5, 2, 'Programiranje1', 'Zimski', 5, 'RTI', 89, 9),
(6, 3, 'Programiranje2', 'Letnji ', 5, 'RTI', 92, 6),
(7, 9, 'Sociologija', 'Zimski', 2, 'Opšte Obrazovanje', 77, 10),
(8, 5, 'Fizika', 'Zimski', 5, 'Mikroelektronika i Teh.Fizika', 88, 8);

-- --------------------------------------------------------

--
-- Table structure for table `kviz`
--

CREATE TABLE `kviz` (
  `idPitanje` int(11) NOT NULL,
  `tekstPitanja` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `odgovor1` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `odgovor2` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `odgovor3` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `odgovor4` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tacanOdgovor` varchar(255) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `kviz`
--

INSERT INTO `kviz` (`idPitanje`, `tekstPitanja`, `odgovor1`, `odgovor2`, `odgovor3`, `odgovor4`, `tacanOdgovor`) VALUES
(1, 'Kojom naredbom se izvlače podaci iz baze podataka ?', 'OPEN', 'EXTRACT', 'GET', 'SELECT', 'SELECT'),
(2, 'Koja SQL ključna reč se koristi za sortiranje skupa rezultata?', 'ORDER', 'SORT', 'ORDER BY', 'SORT BY', 'ORDER BY'),
(3, 'Koja naredba vraća sve zapise iz tabele \"Studenti\" sortirane po indeksu u opadajućem  redosledu?', 'SELECT * FROM Studenti', 'SELECT * FROM Studenti ORDER BY Indeks DESC', 'SELECT * FROM Studenti ORDER BY \'Indeks\' DESC', 'SELECT * FROM Studenti ORDER BY Indeks ASC', 'SELECT * FROM Studenti ORDER BY Indeks DESC'),
(4, 'Kojom naredbom se iz tabele \"Studenti\" briše student čije je ime \"Petar\" ?', 'DELETE ROW Ime=\'Petar\' FROM Studenti', 'DELETE Ime=\'Petar\' FROM Studenti', 'DELETE FROM Studenti WHERE Ime=\'Petar\'', 'DELETE FROM Studenti Ime=\'Petar\'', 'DELETE FROM Studenti WHERE Ime=\'Petar\''),
(5, 'Kojom od sledećih SQL naredbi se vraća broj rekorda iz tabele \"Studenti\" ?', 'SELECT COUNT(*) FROM Studenti', 'SELECT NO(*) FROM Studenti', ' SELECT LEN(*) FROM Studenti', ' SELECT COLUMNS(*) FROM Studenti', 'SELECT COUNT(*) FROM Studenti'),
(6, 'Koji SQL operator se koristi za selektovanje vrednosti u nekom opsegu?', 'WITHIN', 'IN', 'RANGE', 'BETWEEN', 'BETWEEN'),
(7, 'Koja SQL naredba se koristi za menjane postojećih zapisa u bazi podataka?', 'SAVE', 'MODIFY', 'SAVE AS', 'UPDATE', 'UPDATE'),
(8, 'Kojom naredbom se u bazu podataka ubacuje nov zapis?', 'INSERT INTO', 'INSERT NEW', 'NEW RECORD', 'ADD RECORD', 'INSERT INTO'),
(9, 'Kojom SQL narebom se selektuju sve kolone iz tabele \"Studenti\"?', 'SELECT Studenti', 'SELECT ALL FROM Studenti', 'SELECT * FROM Studenti', 'SELECT * Studenti', ''),
(10, 'Kojom SQL naredbom se selektuju svi studenti koji su na smeru \"Signali i sistemi\" ?', 'SELECT * FROM Studenti WHERE Smer=\'Signali i sistemi\'', 'SELECT ALL FROM Studenti WHERE Smer=\'Signali i sistemi\'', 'SELECT * FROM Studenti WHERE Smer LIKE \'Signali i sistemi\'', 'SELECT [ALL] FROM Studenti WHERE Smer=\'Signali i sistemi\'', 'SELECT * FROM Studenti WHERE Smer=\'Signali i sistemi\''),
(11, 'Kojom SQL naredbom se selektuju svi studenti gde vrednost kolone \"Ime\" počinje sa \"m\" ?', 'SELECT * FROM Studenti WHERE Ime STARTS WITH \'m\'', 'SELECT * FROM Studenti WHERE Ime LIKE \'m%\'', 'SELECT * FROM Studenti WHERE Ime LIKE \'%m\'', 'SELECT * FROM Studenti WHERE Ime LIKE \'%m%\'', 'SELECT * FROM Studenti WHERE Ime LIKE \'m%\''),
(12, 'Koja SQL naredba vraća samo zapise sa različitim vrednostima ?', 'SELECT DIFFERENT', 'SELECT UNIQUE', 'SELECT DISTINCT', 'SELECT VARIOUS', 'SELECT DISTINCT'),
(13, 'Koji tip JOIN naredbe se najčešće korsit?', 'JOIN TABLE', 'JOINED', 'INNER JOIN', 'INSIDE JOIN', 'INNER JOIN'),
(14, 'Koja SQL naredba se koristi za kreiranje nove tabele?', 'CREATE NEW TABLE', 'CREATE TABLE', 'CREATE DATABASE TABLE', 'CREATE DATABASE TAB', 'CREATE TABLE'),
(15, 'Koja SQL naredba se koristi za uniju dve tabele, uključujući duplirane vrednosti?', 'UNION', 'UNION ALL', 'UNION TABLES', 'UNION(table1,table2)', 'UNION ALL'),
(16, 'Koja SQL naredba se koristi za uniju dve tabele, gde se iste vrednosti ne ponavljaju?', 'UNION', 'UNION TABLES', 'UNION DISTINCT', 'UNION ALL', 'UNION'),
(17, 'Koje oznake se u SQL-u koriste za komentarisanje jedne linije ?', '--', '/* */', '//', '**', '--'),
(18, 'Koje oznake se u SQL-u koriste za komentarisanje bloka naredbi ?', '/* */', '// //', '** **', '*/ /*', '/* */'),
(19, 'Koja SQL naredba se koristi za selektovanje svih studenata kojima je kolona fakultet \"ETF\" ili \"PMF\"?', 'SELECT * FROM Studenti WHERE Fakultet=\'ETF\' OR Fakultet=\'PMF\'', 'SELECT ALL FROM Studenti WHERE Fakultet=\'ETF\' OR Fakultet=\'PMF\'', 'SELECT * FROM Studenti WHERE Fakultet=\'ETF\' OR \'PMF\'', 'SELECT [ALL] FROM Studenti WHERE Fakultet=\'ETF\' OR \'PMF\'', 'SELECT * FROM Studenti WHERE Fakultet=\'ETF\' OR Fakultet=\'PMF\''),
(20, 'Koja SQL naredba se koristi za selektovanje svih studenata kojima je kolona fakultet \"ETF\" i smer \"Energetika\"?', 'SELECT * FROM Studenti WHERE Fakultet=\'ETF\' AND Smer=\'Energetika\'', 'SELECT ALL FROM Studenti WHERE Fakultet=\'ETF\' AND Smer=\'Energetika\'', 'SELECT * FROM Studenti WHERE Fakultet,Smer=(\'ETF\',\'Energetika\')', 'SELECT [ALL] FROM Studenti WHERE Fakultet=\'ETF\' AND Smer=\'Energetika\'', 'SELECT * FROM Studenti WHERE Fakultet=\'ETF\' AND Smer=\'Energetika\''),
(21, 'Šta predstavlja skraćenica SQL?', 'Structured Query Language', 'Strong Question Language', 'Structured Question Language', '', 'Structured Query Language'),
(24, 'Operator OR prikazuje zapis ako je bilo koji od navedenih uslova tačan?', 'Tačno', 'Netačno', '', NULL, 'Tačno'),
(25, 'Operator AND prikazuje zapis ako je bilo koji od navedenih uslova tačan?', 'Tačno', 'Netačno', '', NULL, 'Netačno'),
(26, 'Ograničenje NOTNULL obezbeđuje da kolona ne prihvata NULL vrednosti?', 'Tačno', 'Netačno', '', NULL, 'Tačno'),
(27, 'Koja SQL naredba izlistava imena svih studenata i tu kolonu naziva \"Studenti_imena\"?', 'SELECT * FROM Studenti', 'SELECT Studenti_imena FROM Studenti', 'SELECT Ime FROM Studeni as Studenti_imena', 'SELECT Ime as Studenti_imena FROM Studenti', 'SELECT Ime as Studenti_imena FROM Studenti'),
(28, 'SELECT Studenti.Ime, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti LEFT JOIN Ispiti ON Studenti.IdStudent=Ispiti.IdStudent;\r\nRezultat ovog upita će biti svi studenti iz tabele Studenti,uključujući\r\n i one kojih nema u tabeli Ispiti?', 'Tačno', 'Netačno', '', NULL, 'Tačno'),
(29, 'SELECT Studenti.Ime, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti JOIN Ispiti ON Studenti.IdStudent=Ispiti.IdStudent;\r\nRezultat ovog upita će biti samo studenti koji postoje i u tabeli Studenti i u tabeli Ispiti?', 'Tačno', 'Netačno', '', NULL, 'Tačno'),
(30, 'SELECT Studenti.Ime, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti JOIN Ispiti ON Studenti.IdStudent=Ispiti.IdStudent;\r\nRezultat ovog upita će biti svi studenti iz tabele Studenti,uključujući\r\n i one kojih nema u tabeli Ispiti?', 'Tačno', 'Netačno', '', NULL, 'Netačno');

-- --------------------------------------------------------

--
-- Table structure for table `studenti`
--

CREATE TABLE `studenti` (
  `IdStudent` int(11) NOT NULL,
  `Ime` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Prezime` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Indeks` int(11) NOT NULL,
  `GodUpisa` int(11) NOT NULL,
  `Fakultet` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Smer` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Prosek` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `studenti`
--

INSERT INTO `studenti` (`IdStudent`, `Ime`, `Prezime`, `Indeks`, `GodUpisa`, `Fakultet`, `Smer`, `Prosek`) VALUES
(1, 'Petar', 'Petrović', 111, 2013, 'ETF', 'Telekomunikacije', 8.07),
(2, 'Milan', 'Marković', 181, 2013, 'PMF', 'Informatika', 8.87),
(3, 'Filip', 'Jovanović', 334, 2013, 'ETF', 'Signali i sistemi', 8.22),
(4, 'Danilo', 'Nikolić', 569, 2015, 'ETF', 'Signali i sistemi', 9.15),
(5, 'Marija ', 'Bogdanović', 87, 2015, 'FON', 'Isit', 7.93),
(6, 'Sofija', 'Milić', 418, 2012, 'PMF', 'Informatika', 9.33),
(7, 'Bojana', 'Lazić', 147, 2012, 'ETF', 'Rti', 9.56),
(8, 'Sava', 'Milenković', 333, 2012, 'FON', 'Isit', 7.46),
(9, 'Miloš', 'Filipović', 9, 2011, 'ETF', 'Energetika', 9.72),
(10, 'Andrija', 'Pantelić', 545, 2012, 'ETF', 'Elektronika', 8.46);

-- --------------------------------------------------------

--
-- Table structure for table `studenti_si`
--

CREATE TABLE `studenti_si` (
  `IdStudent` int(11) NOT NULL,
  `Ime` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Prezime` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Indeks` int(11) NOT NULL,
  `GodUpisa` int(11) NOT NULL,
  `Fakultet` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Smer` varchar(1024) COLLATE utf8_unicode_ci NOT NULL,
  `Prosek` float NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `studenti_si`
--

INSERT INTO `studenti_si` (`IdStudent`, `Ime`, `Prezime`, `Indeks`, `GodUpisa`, `Fakultet`, `Smer`, `Prosek`) VALUES
(1, 'Đorđe ', 'Nedeljković', 169, 2013, 'ETF', 'SI', 8.56),
(2, 'Uroš', 'Popović', 221, 2014, 'ETF', 'SI', 9.03),
(3, 'Darko', 'Ivanović', 111, 2013, 'ETF', 'SI', 9.66),
(4, 'Dragana', 'Nikodijević', 165, 2015, 'ETF', 'SI', 9.15),
(5, 'Mihajlo', 'Bošković', 66, 2015, 'ETF', 'SI', 7.98);

-- --------------------------------------------------------

--
-- Table structure for table `user`
--

CREATE TABLE `user` (
  `idUser` int(11) NOT NULL,
  `firstNameUser` varchar(1024) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `lastNameUser` varchar(1024) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `emailUser` varchar(1024) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `passUser` varchar(1024) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `typeUser` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'standard'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Dumping data for table `user`
--

INSERT INTO `user` (`idUser`, `firstNameUser`, `lastNameUser`, `emailUser`, `passUser`, `typeUser`) VALUES
(1, 'admin', 'admin', 'admin@gmail.com', '$2y$12$zJerj70BXCjJ5y2vT4MjMuBrHMQkBQB15Gn/lXmJQkoVeuCuGkR3W', 'admin'),
(2, 'Simon', 'Tadić', 'simon@gmail.com', '$2y$12$z93Qki77apCdNypo9ZKAJeQF9dFlUsbmQDj.iIYKIVqnIYX1U7F3a', 'standard'),
(3, 'Luka', 'Tadić', 'luka@gmail.com', '$2y$12$iL5RBIRwYaNmJshud0KUuO4qP37gTSp71oqFkobfWAvR7Dr8tgouO', 'standard');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `ispiti`
--
ALTER TABLE `ispiti`
  ADD PRIMARY KEY (`IdIspit`);

--
-- Indexes for table `kviz`
--
ALTER TABLE `kviz`
  ADD PRIMARY KEY (`idPitanje`);

--
-- Indexes for table `studenti`
--
ALTER TABLE `studenti`
  ADD PRIMARY KEY (`IdStudent`);

--
-- Indexes for table `studenti_si`
--
ALTER TABLE `studenti_si`
  ADD PRIMARY KEY (`IdStudent`);

--
-- Indexes for table `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`idUser`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `ispiti`
--
ALTER TABLE `ispiti`
  MODIFY `IdIspit` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `kviz`
--
ALTER TABLE `kviz`
  MODIFY `idPitanje` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=47;

--
-- AUTO_INCREMENT for table `studenti`
--
ALTER TABLE `studenti`
  MODIFY `IdStudent` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;

--
-- AUTO_INCREMENT for table `studenti_si`
--
ALTER TABLE `studenti_si`
  MODIFY `IdStudent` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
