$(document).on("submit", "#register_form", function(event){
	event.preventDefault();
	
	var name = $.trim($("#name").val());
	var lastName = $.trim($("#lastName").val());
	var email = $.trim($("#email").val());
	var password = $.trim($("#password").val());
	
	if(name == ""){
		alert("Morate uneti ime !");
		return;
	}
	
	if(lastName == ""){
		alert("Morate uneti prezime !");
		return;
	}
	
	if(email == ""){
		alert("Morate uneti email !");
		return;
	}
	
	if(password == ""){
		alert("Morate uneti password !");
		return;
	}
	
	var regex_name = /^([a-zA-Z0-9_\u00A1-\uFFFF]){1,10}$/;   // ^[a-zA-Z0-9]{0,10}$
	if(!regex_name.test(name) || !regex_name.test(lastName) ){
		alert("Ime/Prezime mogu sadržati maksimalno po 10 karaktera !");
		return;
	}
	
	var regex_mail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	if(!regex_mail.test(email)){
		alert("Email nije u dozvoljenom formatu !");
		return;
	}
	
	var regex_password = /^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{8,}$/ ;
	if(!regex_password.test(password)){
		alert("Password mora sadržati najmanje jedno slovo i jedan broj, a ukupno 8 karaktera !");
		return;
	}
	
	$.ajax({
		url: "../server_pages/serverUserManager.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			alert(object.message);
			//console.log(object);
			if(object.status == 'success')
				$('#myModal').fadeOut();
				var name = $("#name").val("");
				var lastName = $("#lastName").val("");
				var email = $("#email").val("");
				var password = $("#password").val("");
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});
});



$(document).on("submit", "#update_data_form", function(event){
	event.preventDefault();
	
	var name = $.trim($("#nameUpdate").val());
	var lastName = $.trim($("#lastNameUpdate").val());
	var email = $.trim($("#emailUpdate").val());
	var newPassword = $.trim($("#new_password").val());
	var passwordConfirm = $.trim($("#passwordConfirm").val()); 
	
	
	if(name == ""){
		alert("Morate uneti ime !");
		return;
	}
	
	if(lastName == ""){
		alert("Morate uneti prezime !");
		return;
	}
	
	if(email == ""){
		alert("Morate uneti email !");
		return;
	}
	
	
	var regex_name = /^([a-zA-Z0-9_\u00A1-\uFFFF]){1,10}$/;   // ^[a-zA-Z0-9]{0,10}$
	if(!regex_name.test(name) || !regex_name.test(lastName) ){
		alert("Ime/Prezime mogu sadržati maksimalno po 10 karaktera !");
		return;
	}
	
	var regex_mail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	if(!regex_mail.test(email)){
		alert("Email nije u dozvoljenom formatu !");
		return;
	}
	
	/*if(newPassword == ""){
		
		$("#new_password").val("pass1234");
		newPassword = $.trim($("#new_password").val());
		//alert($("#new_password").val());
	}
	
	if(passwordConfirm == ""){
		
		$("#passwordConfirm").val("pass1234");
		passwordConfirm = $.trim($("#passwordConfirm").val());
		//alert($("#passwordConfirm").val());
	}
	*/
	
	var regex_password = /^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{8,}$/ ;
	if(newPassword!=''){
		
		if(!regex_password.test(newPassword)){
		alert("Password mora sadržati najmanje jedno slovo i jedan broj, a ukupno 8 karaktera !");
		return;
		}
	}
	
	
	if(passwordConfirm != newPassword){
		alert("Niste uneli/potvrdili password !");
		return;
		
	}
	

	$.ajax({
		url: "../server_pages/serverUserManager.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			
			//console.log(object);
			if(object.status == 'success'){
				
				$("#new_password").val("");
				$("#passwordConfirm").val("");
			
				alert("Uspešno izmenjeni podaci korisnika " + object.message +", ulogujte se ponovo!");
				$("#logout_form").trigger("submit");
					
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});
});



$(document).on("submit", "#update_data_form_byAdmin", function(event){
	event.preventDefault();
	
	var name = $.trim($("#nameUpdate").val());
	var lastName = $.trim($("#lastNameUpdate").val());
	var email = $.trim($("#emailUpdate").val());
	var newPassword = $.trim($("#new_password").val());
	var passwordConfirm = $.trim($("#passwordConfirm").val()); 
	
	
	if(name == ""){
		alert("Morate uneti ime !");
		return;
	}
	
	if(lastName == ""){
		alert("Morate uneti prezime !");
		return;
	}
	
	if(email == ""){
		alert("Morate uneti email !");
		return;
	}
	
	
	var regex_name = /^([a-zA-Z0-9_\u00A1-\uFFFF]){1,10}$/;   // ^[a-zA-Z0-9]{0,10}$
	if(!regex_name.test(name) || !regex_name.test(lastName) ){
		alert("Ime/Prezime mogu sadržati maksimalno po 10 karaktera !");
		return;
	}
	
	var regex_mail = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
	if(!regex_mail.test(email)){
		alert("Email nije u dozvoljenom formatu !");
		return;
	}
	
	/*if(newPassword == ""){
		
		$("#new_password").val("pass1234");
		newPassword = $.trim($("#new_password").val());
		
	}
	
	if(passwordConfirm == ""){
		
		$("#passwordConfirm").val("pass1234");
		passwordConfirm = $.trim($("#passwordConfirm").val());
		
	}
	*/
	
	var regex_password = /^(?=.*[A-Za-z])(?=.*\d)[A-Za-z\d]{8,}$/ ;
	if(newPassword!=''){
		
		if(!regex_password.test(newPassword)){
		alert("Password mora sadržati najmanje jedno slovo i jedan broj, a ukupno 8 karaktera !");
		return;
		}
		
	}
	
	
	if(passwordConfirm != newPassword){
		alert("Niste uneli/potvrdili password !");
		return;
		
	}
	
	
	$.ajax({
		url: "../server_pages/serverUserManager.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			
			//console.log(object);
			if(object.status == 'success'){
				
				$("#new_password").val("");
				$("#passwordConfirm").val("");
					
					alert("Uspešno izmenjeni podaci korisnika " + object.message);
					window.location.href="clients.php";
			
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});
});



$(document).on("submit", "#login_form", function(event){
	event.preventDefault();
	
	if($.trim($("#loginInput").val())== "" || $.trim($("#passwordInput").val())== ""){
		
		alert("Popunite polja za login !");
		return;
	}
	//regex
	$.ajax({
		url: "../server_pages/serverUserManager.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			if(object.status == "success"){
				$("#rightHeader").fadeOut(400,function(){
					$("#rightHeader").load("login_form.php").fadeIn(500);
	
				});
			}else{
				alert("Unesen je pogrešan email/password");
				$("#loginInput").val("");
				$("#passwordInput").val("");
				
			}
			
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
		}
	});
});



$(document).on("submit", "#logout_form", function(event){
	event.preventDefault();
	
	$.ajax({
		url: "../server_pages/serverUserManager.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){

			$("#rightHeader").fadeOut(400,function(){
				//$("#rightHeader").load("login_form.php").fadeIn(500);
				window.location.href = "../pages/index.php";
				
			});
			
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
		}
	});
});


$(document).on('click','#izvrsiJSON',function(){
	
	$('#queryResult').html('<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>');
	var queryText = $.trim($("#queryArea").val());
	if(queryText == ''){
		
		alert('Nije popunjeno polje za upit !');
		return;
	}
	
	if (queryText.match(/create/i) || queryText.match(/drop/i) ){
		alert('Nemate create/drop prava nad bazom podataka!');
		$('#queryArea').val('');
		return;
	}
	var table = $('<table></table>').addClass('paleBlueRows').attr('border','1');
	$('#queryResult').append(table);
	
	
	$.ajax({
		url: "../server_pages/executeQueryJSON.php",
		type: "POST",
		data: {
			"queryText" : queryText
		},
		dataType: 'json',
		success: function(objekti){
			
			//console.log(objekti);
			if( objekti.constructor === Array){
				var $thead = $('<thead>');
				var $tr = $('<tr>'); 
				$.each(objekti[0], function(key, value) {
					  //console.log(key + " " + value);
					  $tr.append($('<th>').text(key))	;
					});
				table.append($thead);
				$thead.append($tr);
				
				for(var i=0; i<objekti.length; i++){
					var $tr = $('<tr>'); 
					$.each(objekti[i], function(key, value) {
					  //console.log(key+" "+value);
					  $tr.append($('<td>').text(value))	;
					});
					table.append($tr);
				}
			}else if(objekti.status == "SuccessCounting"){
				console.log(objekti.message);
				$('#queryResult').html(objekti.message);
				
				executeQueryInDiv('#userTableStudenti', 'SELECT * FROM studenti'+$.cookie("loggedUser[idUser]"));
				
			}else if(objekti.status == 'Error'){
				$('#queryResult').html(objekti.message);
				console.log("ovo je " + objekti.message	);
			
			}
			else{
				//alert(objekti.message);
			}
			
		},
		error: function(objekat){
			var error = objekat.responseText;
			var firstLine = error.split('<')[0];
			$('#queryResult').text(firstLine);
			console.log("Something is wrong or JSON did not arrive.");			
		}
	});
	
});


$(document).on("click", "#resetStudenti", function(event){
	event.preventDefault();
	//regex
	$.ajax({
		url: "../server_pages/resetTables.php",
		type: "POST",
		data: {
			"table": "Studenti"
		},
		dataType: 'json',
		success: function(object){
			
			if(object.status=="success"){
				
				executeQueryInDiv('#userTableStudenti', 'SELECT * FROM studenti'+$.cookie("loggedUser[idUser]"));
				alert(object.message);
				
			}else{
				
				console.log(object.message);
				alert("Došlo je do greške prilikom resetovanja tabele Studenti");
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
		}
	});
});



$(document).on("click", "#resetIspiti", function(event){
	event.preventDefault();
	//regex
	$.ajax({
		url: "../server_pages/resetTables.php",
		type: "POST",
		data: {
			"table": "Ispiti"
		},
		dataType: 'json',
		success: function(object){
			
			if(object.status=="success"){
				
				executeQueryInDiv('#userTableIspiti', 'SELECT * FROM ispiti'+$.cookie("loggedUser[idUser]"));
				alert(object.message);
				
			}else{
				
				console.log(object.message);
				alert("Došlo je do greške prilikom resetovanja tabele Ispiti");
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
		}
	});
});

$(document).on("click", "#resetStudenti_SI", function(event){
	event.preventDefault();
	//regex
	$.ajax({
		url: "../server_pages/resetTables.php",
		type: "POST",
		data: {
			"table": "Studenti_si"
		},
		dataType: 'json',
		success: function(object){
			
			if(object.status=="success"){
				
				executeQueryInDiv('#userTableIspiti', 'SELECT * FROM Studenti'+$.cookie("loggedUser[idUser]")+'_si');
				alert(object.message);
				
			}else{
				
				console.log(object.message);
				alert("Došlo je do greške prilikom resetovanja tabele Studenti_SI");
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
		}
	});
});




function executeQueryInDiv(div,query){
	var queryText = query;
	var url = encodeURI("../server_pages/executeQuery.php?queryText="+queryText);
	$(div).load(url);
}

function executeQueryTryYourSelf(id){
	var idUser = id;
	alert(idUser);
	console.log(idUser);
	var queryText = $("#queryArea").val();
	var url = encodeURI("../server_pages/executeQuery.php?queryText="+queryText);
	$("#queryResult").load(url).fadeIn(500);
}


// skripta za dodavanje stila aktivnim linkovima
$(document).ready(function() {
    $("[href].left_navigation").each(function() {
        if (this.href == window.location.href) {
            $(this).addClass("active");
        }
    });
});


function doesCookieExists(){
	var pageURL = window.location.href;
            //alert(pageURL.pathname);
			//alert(window.location);
			
	var parser = document.createElement('a');
	parser.href = pageURL;
	
	if(parser.pathname=="/sql_tutorial/pages/index.php"){
		return;
		
	}else{
		
		if(typeof $.cookie("loggedUser[idUser]") === 'undefined'){
		console.log("bb");
		
		var oldURL = document.referrer;
		var parser = document.createElement('a');
		parser.href = oldURL;
		
		
		if(parser.pathname=="/sql_tutorial/pages/index.php"){
			
			alert("Morate se ulogovati!");
		}else{
			
			alert("Vaša sesija je istekla, morate se ulogovati!");
		}
		
		window.location.href="index.php";
		
		}
		
	}
	
	console.log(parser.href);
	console.log(parser.pathname);
			
}

var noCorrAns=0;
var noAnswers=0;

$(document).on("click", "#startQuiz", function(event){
			noAnswers=0;
			noCorrAns=0;
			$('#quiz').load('../server_pages/load_question.php');
			$('html, body').animate({ scrollTop: 0 }, 'fast');
});

$(document).on("click", "#retryQuiz", function(event){
			noAnswers=0;
			noCorrAns=0;
			$('#quiz').load('../server_pages/load_question.php');
			$('html, body').animate({ scrollTop: 0 }, 'fast');
});

$(document).on('submit','#quiz_form', function(event){
	
			event.preventDefault();
			
			
			var trueAnswer = $.cookie("tacanOdgovor");
			console.log("tacan odgovor je " + trueAnswer);
			
			var selected = $("input[type='radio'][name='answer']:checked").val();
			
			if(typeof selected === "undefined"){
				
				alert("Morate izabrati  neki odgovor!");
				return;
			}
			
			console.log("selektovan odgovor je " + selected);
			
			if( trueAnswer == selected ){
				alert("Tačan Odgovor!");
				noCorrAns++;
			}else{
				alert("Netačan Odgovor. Tačan odgovor je "+trueAnswer);
			}
			noAnswers++;
			
			if(noAnswers == 10){
				var percentage = 100 * noCorrAns / noAnswers;
				//alert("Quiz ended! "+percentage+"% Correct!");
				$('#quiz').load('../server_pages/quiz_result.php?noCorrAns='+noCorrAns+'&noAnswers='+noAnswers);
				focusOnQuizResult();
			}else{
				$('#quiz').load('../server_pages/load_question.php');
			}
			
   
});	


function focusOnQuizResult(){
	
	$("#content_right").attr("tabindex",-1).focus();
}



$(document).on("click", "#addQuestion", function(event){
			
			$('#manageQuizDiv').load('../server_pages/add_question_form.php');
			$('html, body').animate({ scrollTop: 0 }, 'fast');
});			



$(document).on("submit", "#add_question_form", function(event){
	event.preventDefault();
	
	var questionText = $.trim($("#questionText").val());
	var answerOffered1 = $.trim($("#answerOffered1").val());
	var answerOffered2 = $.trim($("#answerOffered2").val());
	var answerOffered3 = $.trim($("#answerOffered3").val());
	var answerOffered4 = $.trim($("#answerOffered4").val());
	var trueAnswer = $.trim($("#trueAnswer").val());
	
	if(questionText == ""){
		alert("Morate tekst pitanja !");
		return;
	}
	
	if(answerOffered1 == "" || answerOffered2 == "" ){
		alert("Morate uneti najmanje 2 ponuđena odgovora !");
		return;
	}
	
	if(trueAnswer==''){
		
		alert("Morate uneti tačan odgovor !");
		return;
	}

	if(answerOffered1 != trueAnswer && answerOffered2 != trueAnswer && answerOffered3 != trueAnswer && answerOffered4 != trueAnswer){
		
		alert("Tačan odgovor mora biti jedan od ponuđenih odgovora !");
		return;
	}
	
	
	if(answerOffered3 == ""){
		
		answerOffered3 = "NULL";
	}
	
	
	if(answerOffered4 != ""){
		
		if(answerOffered3 == "NULL"){
			alert("Nije popunjen ponuđeni odgovor 3 !");
			return;
		}
		
	}else{
		answerOffered4 = "NULL";
	}
		
	$.ajax({
		url: "../server_pages/questionManagment.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			alert(object.message);
			
			if(object.status == 'success'){
				
				var questionText = $("#questionText").val("");
				var answerOffered1 = $("#answerOffered1").val("");
				var answerOffered2 = $("#answerOffered2").val("");
				var answerOffered3 = $("#answerOffered3").val("");
				var answerOffered4 = $("#answerOffered4").val("");
				var trueAnswer = $("#trueAnswer").val("");
				
				window.location.href="manageQuiz.php";
				
			}
				
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});
});


$(document).on("click", "#changeQuestion", function(event){
			
			$('#manageQuizDiv').load('../server_pages/change_question_list.php');
			$('html, body').animate({ scrollTop: 0 }, 'fast');
});	


//prelazak na sledecu stranu 
$(document).on("click", ".selectPageQuestions", function(){
					var elem = this;
					
					var brStrane = $(elem).attr('data-idPage');
					$("#manageQuizDiv").load("../server_pages/change_question_list.php?postsPage="+brStrane);
});	

$(document).on("click", ".selectPageClients", function(){
					var elem = this;
					
					var brStrane = $(elem).attr('data-idPage');
					$("#manageQuizDiv").load("../pages/loadClients.php?postsPage="+brStrane);
});	


//kada se klikne na sledecu stranicu da focus bude na vrhu stranice					
$(document).on("click", ".selectPageNumber", function(){						
					 $('html, body').animate({ scrollTop: 0 }, 'fast');
					});						
					
					
$(document).on("click", "#changeQuestionButton", function(event){
	
			var elem = this;
			var idPitanje = $(elem).attr('idPitanje');
			
			$('#manageQuizDiv').load('../server_pages/change_question_form.php?idPitanje='+idPitanje);
			$('html, body').animate({ scrollTop: 0 }, 'fast');
});	


$(document).on("click", "#deleteQuestionButton", function(event){
	
			var elem = this;
			var idPitanje = $(elem).attr('idPitanje');
			
	$.ajax({
		url: "../server_pages/deleteQuestion.php",
		type: "POST",
		data: {idPitanje : idPitanje},
		dataType: 'json',
		success: function(object){
			
			//console.log(object);
			if(object.status == 'success'){
				
				
				alert(object.message);
				window.location.href="manageQuiz.php";
					
			}
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});			

});


$(document).on("submit", "#change_question_form", function(event){
	event.preventDefault();
	
	var questionText = $.trim($("#questionText").val());
	var answerOffered1 = $.trim($("#answerOffered1").val());
	var answerOffered2 = $.trim($("#answerOffered2").val());
	var answerOffered3 = $.trim($("#answerOffered3").val());
	var answerOffered4 = $.trim($("#answerOffered4").val());
	var trueAnswer = $.trim($("#trueAnswer").val());
	
	if(questionText == ""){
		alert("Morate tekst pitanja !");
		return;
	}
	
	if(answerOffered1 == "" || answerOffered2 == "" ){
		alert("Morate uneti najmanje 2 ponuđena odgovora !");
		return;
	}
	
	if(trueAnswer==''){
		
		alert("Morate uneti tačan odgovor !");
		return;
	}
	
	if(answerOffered1 != trueAnswer && answerOffered2 != trueAnswer && answerOffered3 != trueAnswer && answerOffered4 != trueAnswer){
		
		alert("Tačan odgovor mora biti jedan od ponuđenih odgovora !");
		return;
	}
	
	if(answerOffered3 == ""){
		
		var answerOffered3 = "NULL";
	}
	
	if(answerOffered4 != ""){
		
		if(answerOffered3 == "NULL"){
			alert("Nije popunjen ponuđeni odgovor 3 !");
			return;
		}
		
	}else{
		answerOffered4 = "NULL";
	}
		
	$.ajax({
		url: "../server_pages/questionManagment.php",
		type: "POST",
		data: new FormData(this),
		contentType: false,
		cache: false,
		processData:false,
		dataType: 'json',
		success: function(object){
			alert(object.message);
			
			if(object.status == 'success'){
				
				var questionText = $("#questionText").val("");
				var answerOffered1 = $("#answerOffered1").val("");
				var answerOffered2 = $("#answerOffered2").val("");
				var answerOffered3 = $("#answerOffered3").val("");
				var answerOffered4 = $("#answerOffered4").val("");
				var trueAnswer = $("#trueAnswer").val("");
				
				window.location.href="manageQuiz.php";
				
				
			}
				
		},
		error: function(){
			console.log("Doslo je do greske pri komunikaciji sa serverom");
			
		}
	});
});