<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL AUTO INCREMENT POLJE</h4>
						<p>
							AUTO INCREMENT omogućava jedinstveni broj koji se generiše automatski kada se novi zapis unosi u tabelu.<br/>
							Često je primarni ključ tabele AUTO INCREMENT i on se kreira prilikom svakog novog unosa u tabelu.
							
						</p>
					</div>
					<div class="box_patern">
						<h4>SINTAKSA</h4>
						<p>
							Sledeća SQL naredba definiše kolonu ID kao polje primarnog ključa sa AUTO INCREMENT osobinom, prilikom kreiranja tabele "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span> 
							<span class="italic_slova_upit">AUTO_INCREMENT</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Lastname varchar(255)</span>,<br/> 
							<span class="plava_slova_upit">PRIMARY KEY</span> <span class="italic_slova_upit">(ID)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div>
						<p>
							Podrazumevana početna vrednost za AUTO_INCREMENT je 1 i povećeva se za 1 za svaki novi unos.<br/>
							Auto inkrement može da počne i sa nekom drugom definisanom vrednošću, naredba za to izgleda ovako:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti AUTO_INCREMENT=100;</span><br/>
						</div>
						<p>
							Prilikom unosa novog zapisa u tabelu ne unosi se ručno ID, već se ova jedinstvena vrednost automatski dodaje. U
							primeru ispod je unesena jedna osoba u tabelu "Studenti" i tom prilikom nije definisano polje ID već se ono automatski dodaje u tabelu.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">Studenti(Ime,Prezime)</span><br/>
							<span class="plava_slova_upit">VALUES</span>  <span class="italic_slova_upit">('Marko','Marković');</span> 
						</div>
					</div>
					
					<div class="napred/nazad">
					<a href="indexsql.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="dates.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

