<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL EXISTS OPERATOR</h4>
						<p>
							Operator EXISTS se koristi da testira da li postoji zapis koji vraća neki podupit.<br/>
							Operator EXISTS vraća TRUE ukoliko podupit vraća jedan ili više zapisa.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime tabele</span><br/>
							<span class="plava_slova_upit">WHERE EXISTS</span><br/>
							(<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">ime_kolone</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">ime tabele</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">uslov</span>);
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>Za ovaj primer koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL EXISTS PRIMER</h4>
						<p>
							Sledeća SQL naredba vraća TRUE i izlistava sve ispite gde studenti imaju prosek veći od 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ImeIspita</span><br/> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">WHERE EXISTS</span> 
							(<span class="plava_slova_upit">SELECT</span>
							<span class="italic_slova_upit">Ime</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Studenti</span> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">IdStudent=Ispiti.IdStudent</span> <span class="plava_slova_upit">AND</span>
							<span class="italic_slova_upit">Prosek > 9</span>);
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT ImeIspita FROM Ispiti WHERE EXISTS (SELECT Ime FROM Studenti WHERE IdStudent=Ispiti.IdStudent AND Prosek > 9)' );  </script> "; 
						?><br/><br/>
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=23'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="having.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="any_all.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

