<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL FOREIGN KEY CONSTRAINT</h4>
						<p>
							FOREIGN KEY je ključ koji predstavlja vezu između dve tabele.<br/>
							FOREIGN KEY je polje(ili više polja) u jednoj tabeli koje upućuje na PRIMARY KEY u drugoj tabeli.<br/>
							Tabela koja sadrži PRIMARY KEY zove se referentna ili "roditeljska" tabela, a tabela koja sadrži FOREIGN KEY naziva se "dete" tabela.<br/><br/>
							Pogledajte tabele u primeru ispod:
						</p>
						<h4>TABELA "Studenti"</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>IdStudent</th>
									<th>Ime</th>
									<th>Prezime</th>
									<th>Indeks</th>
									<th>GodUpisa</th>
									<th>Fakultet</th>
									<th>Smer</th>
									<th>Prosek</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>1</td>
									<td>Petar</td>
									<td>Petrović</td>
									<td>111</td>
									<td>2013</td>
									<td>ETF</td>
									<td>Telekomunikacije</td>
									<td>8.07</td>
								</tr>
								<tr>
									<td>2</td>
									<td>Milan</td>
									<td>Marković</td>
									<td>181</td>
									<td>2013</td>
									<td>PMF</td>
									<td>Informatika</td>
									<td>8.87</td>
								</tr>
								<tr>
									<td>3</td>
									<td>Filip</td>
									<td>Jovanović</td>
									<td>334</td>
									<td>2013</td>
									<td>ETF</td>
									<td>Signali i sistemi</td>
									<td>8.22</td>
								</tr>
							</tbody>
						</table><br/><br/><hr><br/>
						<h4>TABELA "Ispiti"</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>IdIspit</th>
									<th>IdStudent</th>
									<th>ImeIspita</th>
									<th>Semestar</th>
									<th>BrojESPB</th>
									<th>Katedra</th>
									<th>Poeni</th>
									<th>Ocena</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>1</td>
									<td>1</td>
									<td>OET1</td>
									<td>Zimski</td>
									<td>7</td>
									<td>Opšta Elektrotehnika</td>
									<td>57</td>
									<td>6</td>
								</tr>
								<tr>
									<td>2</td>
									<td>6</td>
									<td>OET2</td>
									<td>Letnji</td>
									<td>7</td>
									<td>Opšta Elektrotehnika</td>
									<td>89</td>
									<td>9</td>
								</tr>
								<tr>
									<td>3</td>
									<td>8</td>
									<td>Matematika1</td>
									<td>Zimski</td>
									<td>7</td>
									<td>Primenjena Matematika</td>
									<td>92</td>
									<td>10</td>
								</tr>
								
							</tbody>
						</table>
						<p>
							Primetite da "StudentID" kolona u tabeli "Studenti" ukazuje na  "StudentID" kolonu u tabeli "Ispiti".<br/>
							"StudentID" kolona u tabeli "Studenti" je PRIMARY KEY u tabeli "Studenti".<br/>
							"StudentID" kolona u tabeli "Ispiti" je FOREIGN KEY u tabeli "Ispiti".<br/>
							Ograničenje FOREIGN KEY se koristi kako bi se sprečile akcije koje mogu da unište vezu između tabela.<br/>
							Ograničenje FOREIGN KEY takođe sprečava unos neodgovarajućih podataka u FOREIGN KEY kolonu jer ta kolona mora sadržati vrednost istu 
							kao onu  u tabeli na koju ukazuje.
						</p>
					</div>
					<div class="box_patern">
						<h4>SQL FOREIGN KEY SA NAREDBOM CREATE TABLE</h4>
						<p>
							Sledeća SQL naredba prilikom kreiranja tabele "Ispiti" postavlja  kolonu "IdStudent" za FOREIGN KEY tabele.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Ispiti (</span><br/>
							<span class="italic_slova_upit">IdIspit int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">IdStudent int</span>,<br/>
							<span class="italic_slova_upit">ImeIspita varchar(255)</span>,<br/>
							<span class="italic_slova_upit">Semestar varchar(255)</span>,<br/>
							<span class="italic_slova_upit">BrojESPB int</span>,<br/>
							<span class="italic_slova_upit">Katedra varchar(255)</span>,<br/>
							<span class="italic_slova_upit">Poeni int</span>,<br/>
							<span class="italic_slova_upit">Ocena int</span>,<br/>
							<span class="plava_slova_upit">PRIMARY KEY</span> <span class="italic_slova_upit">(IdIspit)</span>,<br/>
							<span class="plava_slova_upit">FOREIGN KEY</span> <span class="italic_slova_upit">(IdStudent)</span> 
							<span class="plava_slova_upit">REFERENCES</span> <span class="italic_slova_upit">Studenti(IdStudent)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div><br/><hr>
						<p>
							Za imenovanje ograničenja FOREIGN KEY ili slučaja da se "strani" ključ sastoji iz više polja koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Ispiti (</span><br/>
							<span class="italic_slova_upit">IdIspit int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">IdStudent int</span>,<br/>
							<span class="italic_slova_upit">ImeIspita varchar(255)</span>,<br/>
							<span class="italic_slova_upit">Semestar varchar(255)</span>,<br/>
							<span class="italic_slova_upit">BrojESPB int</span>,<br/>
							<span class="italic_slova_upit">Katedra varchar(255)</span>,<br/>
							<span class="italic_slova_upit">Poeni int</span>,<br/>
							<span class="italic_slova_upit">Ocena int</span>,<br/>
							<span class="plava_slova_upit">PRIMARY KEY</span> <span class="italic_slova_upit">(IdIspit)</span>,<br/>
							<span class="plava_slova_upit">CONSTRAINT</span> <span class="italic_slova_upit">FK_Ispiti</span> 
							<span class="plava_slova_upit">FOREIGN KEY</span> <span class="italic_slova_upit">(IdStudent)</span><br/> 
							<span class="plava_slova_upit">REFERENCES</span> <span class="italic_slova_upit">Studenti(IdStudent)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div>
						
					</div>
					<div class="box_patern">
						<h4>SQL FOREIGN KEY SA NAREDBOM ALTER TABLE</h4>
						<p>	
							Za kreiranje ograničenja FOREIGN KEY na koloni "ID" kada je tabela već kreirana koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">ADD FOREIGN KEY</span> <span class="italic_slova_upit">(IdStudent)</span>
							<span class="plava_slova_upit">REFERENCES</span> <span class="italic_slova_upit">Studenti(IdStudent)</span>;<br/>
						</div><br/><hr>
						<p>
							Imenovanje ograničenja FOREIGN KEY ili slučaja da se strani ključ sastoji iz više polja je analogno onom za PRIMARY KEY.<br/>
							Naredba u sledećem primeru koristi se  za brisanje FOREIGN KEY ograničenja.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">ADD CONSTRAINT</span> <span class="italic_slova_upit">FK_Ispiti</span><br/> 
							<span class="plava_slova_upit">FOREIGN KEY</span> <span class="italic_slova_upit">(IdStudent)</span>
							<span class="plava_slova_upit">REFERENCES</span> <span class="italic_slova_upit">Studenti(IdStudent)</span>;<br/>
						</div>
						
					</div>
					<div class="box_patern">
							<h4>DROP FOREIGN KEY CONSTRAINT</h4>
							<p>	
								Sledećom naredbom briše se FOREIGN KEY ograničenje:
							</p>
							<div class="kod">
								<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Ispiti</span><br/>
								<span class="plava_slova_upit">DROP FOREIGN KEY</span> FK_Ispiti; 
							</div>
						</div>
					
					<div class="napred/nazad">
					<a href="primary_key.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="check.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

