<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL HAVING KLAUZULA</h4>
						<p>
							Klauzula HAVING je dodata u SQL, jer ključna reč WHERE nije mogla da se koristi sa agregatnim funkcijama.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov</span><br/>
							<span class="plava_slova_upit">GROUP BY</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">HAVING</span> <span class="italic_slova_upit">uslov</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">ime_kolone(a);</span>
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>Za ovaj primer koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL HAVING PRIMERI</h4>
						<h5>PRIMER 1</h5>
						<p>
							U sledećem primeru biće prebrojano koliko studenata je upisano na svaki od fakulteta iz tabele "Studenti", gde je broj studenata veći od 2.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT COUNT</span><span class="italic_slova_upit">(IdStudent) AS BrojStudenata, Fakultet</span><br/> 
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">GROUP BY</span> <span class="italic_slova_upit">Fakultet</span><br/>
							<span class="plava_slova_upit">HAVING</span> <span class="italic_slova_upit">BrojStudenata > 2</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">BrojStudenata</span>
							<span class="plava_slova_upit">DESC</span>;
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT COUNT(IdStudent) AS BrojStudenata, Fakultet FROM Studenti GROUP BY Fakultet HAVING BrojStudenata > 1 ORDER BY BrojStudenata DESC' );  </script> "; 
						?><br/><br/><hr>
						<h5>PRIMER 2</h5>
						<p>
							U sledećem primeru biće prebrojano koliko studenata iz tabele "Studenti" pripada svakoj od katedri iz tabele "Ispiti", gde je broj studenta veći od 1.
							Za studente koji ne postoje u obe tabele, biće ispisano NULL, jer je u pitanju LEFT JOIN.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Ispiti.Katedra,</span> <span class="plava_slova_upit">COUNT</span><span class="italic_slova_upit">(Studenti.IdStudent)</span> <span class="plava_slova_upit">AS</span>
							<span class="italic_slova_upit">BrojStudenata</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">JOIN</span> <span class="italic_slova_upit">Ispiti</span>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">Studenti.IdStudent=Ispiti.IdStudent</span><br/>
							<span class="plava_slova_upit">GROUP BY</span> <span class="italic_slova_upit">Katedra</span><br/>
							<span class="plava_slova_upit">HAVING</span> <span class="italic_slova_upit">BrojStudenata > 1</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">BrojStudenata</span>
							<span class="plava_slova_upit">DESC</span>;
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT Ispiti.Katedra, COUNT(Studenti.IdStudent) AS BrojStudenata FROM Studenti JOIN Ispiti ON Studenti.IdStudent=Ispiti.IdStudent GROUP BY Katedra HAVING BrojStudenata > 1 ORDER BY BrojStudenata DESC' );  </script> "; 
						?><br/><br/>
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=22'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="group_by.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="exists.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

