<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL INSERT INTO</h4>
						<p>
							INSERT INTO naredba se koristi za dodavanje novih podataka u tabelu u bazi tj. za dodavanje
							novog reda u tabeli.
						</p><hr>
						<h4>INSERT INTO SINTAKSA</h4>
						
							Postoje 2 načina za realizaciju INSER INTO naredbe:<br/>
							<ul>
								<li>
									Prvi način je da se navedu imena kolona, kao i vrednosti koje u njih treba ubaciti.
								</li>
							</ul>
						<div class="kod">
							<span class="plava_slova_upit">INSER INTO</span> <span class="italic_slova_upit">ime_tabele(kolona1, kolona2, ...)</span><br/>
							<span class="plava_slova_upit">VALUES</span> <span class="italic_slova_upit">(vrednost1, vrednost2, vrednost3 ...);</span><br/>
						</div>
						
						<ul>
								<li>
									Drugi način se koristi u koliko se ubacuju nove vrednosti za sve kolone. Tada nije
									potrebno specificirati imena kolona u koje se vrednosti ubacuju, ali se mora voditi
									računa o redosledu, tj. da vrednosti u upitu budu poređane u istom redosledu kao i u tabeli
									u bazi podataka.
								</li>
							</ul>
						<div class="kod">
							<span class="plava_slova_upit">INSER INTO</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">VALUES</span> <span class="italic_slova_upit">(vrednost1, vrednost2, vrednost3 ...);</span><br/>
						</div>
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>INSERT INTO PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće ubačen novi zapis(vrsta) u tabelu "Studenti".
							
						</p>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">Studenti</span>
							<span class="italic_slova_upit">(Ime, Prezime, Indeks, GodUpisa, Fakultet, Smer, Prosek)</span><br/>
							<span class="plava_slova_upit">VALUES</span> <span class="italic_slova_upit">(Jovana, Nikolić, 225, 2017, PMF, Matematika, 8.65);</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						 You have made changes to the database. Rows affected: 1<br/><br/>
						 <p>Sada tabela "Studenti" izgleda ovako:</p>
						<div id="Example1">
							
						</div><br/>
						
						<?php
							include("tabela_insert_into.php");
						?><br/><br/>
						 <div class="napomena">
							Primetite da prilikom sastavljanja upita nije navođena
							vrednost polja idStudent. To je zbog toga što je ovo polje auto-increment i vrednost za ovo polje
							se generiše svaki put kada se u tabelu vrši unos podataka.<br/>
						</div>
							
						<br/><hr><br/>
						<div class="napomena">
							Takođe treba znati da prilikom unošenja novog zapisa(vrste) u tabelu, moguće je specificirati samo neke 
							od postojećih kolona u tabeli. Tada će polja kojima nije unesena vrednost imati NULL vrednost.
							Upravo je o tome reč u sledećem delu(SQL NULL VREDNOSTI).
						</div><br/>
						
						
						
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=6'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="andOrNot.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="null_values.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

