<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL INSERT INTO SELECT NAREDBA</h4>
						<p>
							INSERT INTO SELECT naredba kopira podatke iz jedne tabele u ubacuje ih u drugu tabelu.<br/>
							<ul>
								<li>
									INSERT INTO SELECT zahteva da se tipovi podataka kolona iz izvorišne i odredišne tabele poklapaju.
								</li>
								<li>
									Ovo nema uticaja na postojeće zapise u tabeli tj, oni ostaju nepromenjeni.
								</li>
							</ul>
						</p><hr>
						<h4>INSERT INTO SELECT SINTAKSA</h4>
						<h5>KOPIRANJE CELE(SVE KOLONE) POSTOJEĆE TABELE U NOVU TABELU</h5>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">tabela2</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span> 							
						</div>
						<h5>KOPIRANJE ODREĐENIH KOLONA IZ JEDNE TABELE U DRUGU TABELU</h5>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">tabela2(kolona1, kolona2, kolona3, ...)</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, kolona3, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span> 		
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>
							Za ovaj primer koriste se 2 tabele, "Studenti_januar" i "Studenti_februar".<br/> U tabeli "Studenti_januar" su
							smešteni studenti koji su izašli na neki ispit u januarskom roku, a u tabeli "Studenti_februar" oni koji su 
							izašli u februarskom roku.
						</p>
						<h4>Tabela "Studenti_januar":</h4>
						<?php
							include("studenti_januar.php");
						?><br/><hr>	
						<h4>Tabela "Studenti_februar":</h4>
						<?php
							include("studenti_februar.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL INSERT INTO SELECT PRIMERI</h4>
						<p>
							Sledeća SQL naredba kopira "Studenti_februar" u "Studenti_januar"(kolone koje nisu popunjene podacima sadržaće NULL) :
						</p>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">Studenti_februar(Ime, Prezime, Indeks, GodUpisa)</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti_januar</span>	
						</div><br/><hr>

						<p>
							Sledeća SQL naredba kopira "Studenti_februar" u "Studenti_januar", ali samo koji su upisani 2015-te godine :
						</p>
						<div class="kod">
							<span class="plava_slova_upit">INSERT INTO</span> <span class="italic_slova_upit">Studenti_februar(Ime, Prezime, Indeks, GodUpisa)</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti_januar</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">GodUpisa='2015'</span>
						</div><br/>
					</div><br/>
					
					
					
					<div class="napred/nazad">
					<a href="select_into.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="null_functions.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

