<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL JOIN</h4>
						<p>
							JOIN je klauzula koja se koristi za kombinovanje vrsti iz dve ili više tabela na osnovu 
							odgovarajuće kolone koja ih povezuje. Ispod su prikazane 2 tabele, tabela "Studenti" i tabela
							"Ispiti".
						</p><br/><hr>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						<p>
							Primetite da kolona "IdStudent" postoji i u tabeli "Studenti" i u tabeli "Ispiti". To je zapravo kolona
							koja povezuje ove dve tabele.<br/>
							U sledećem primeru kreiran je SQL izraz koji "selektuje" zapise koji imaju odgovarajuće vrednosti u obe tabele:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Ispiti.IdIspit, Ispiti.ImeIspita, Studenti.Ime, Studenti.Prezime
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">INNER JOIN</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent;</span>
						</div><br/><hr>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Ispiti.IdIspit, Ispiti.ImeIspita, Studenti.Ime, Studenti.Prezime FROM Ispiti INNER JOIN Studenti ON Ispiti.IdStudent=Studenti.IdStudent;' );  </script> "; 
						?><br/><br/>	
					</div>
					
					<div class="box_patern">
						<h4>TIPOVI SQL JOIN-A</h4>
						<p>Postoji više različitih tipova JOIN-A u SQL-u:</p>
						<ul>
							<li>
								<b>(INNER) JOIN</b>: Vraća zapise koji imaju odgovarajuće vrednosti u obe tabele.
							</li>
							<li>
								<b>LEFT (OUTER) JOIN</b>: Vraća sve zapise iz leve tabele i odgovarajuće zapise iz desne tabele.
							</li>
							<li>
								<b>RIGHT (OUTER) JOIN</b>: Vraća sve zapise iz desne tabele i odgovarajuće zapise iz leve tabele.
							</li>
							<li>
								<b>FULL (OUTER) JOIN</b>: Vraća sve zapise iz leve tabele i sve zapise iz desne tabele.
							</li>
						</ul><br/>
						<center><img id="joins" src="../images/joins.png"></center>
						
					</div>
					
					<div class="napred/nazad">
					<a href="aliases.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="inner_join.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

