<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL LIMIT KLAUZULA</h4>
						<p>
							LIMIT klauzula se koristi za određivanje broja zapisa koji će biti vraćeni(selektovani) upitom.
							Klauzula LIMIT je korisna za velike tabele sa ogromnim brojem zapisa.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov</span><br/>
							<span class="plava_slova_upit">LIMIT</span> <span class="italic_slova_upit">broj;</span>
						</div><br/>
						<div class="napomena">
							Napomena: Selektovanje velikog broja zapisa može da utiče na performanse.
						</div>
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
						<h4>LIMIT KLAUZULA PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće selektovano pet studenata iz tabele "Studenti".	
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> * <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">LIMIT</span> 5;
							
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT * FROM studenti LIMIT 5 ' );  </script> "; 
						?>
						<br/><hr><br/>
						<h4>LIMIT KLAUZULA + WHERE</h4>
						<p>
							Naredbom u sledećem primeru biće selektovana tri studenta iz tabele "Studenti" kojima je
							kolona fakultet "ETF".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> * <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Studenti</span><br/> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">Fakultet='ETF'</span><br/>
							<span class="plava_slova_upit">LIMIT</span> 3;
						</div><br/>
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT * FROM studenti WHERE Fakultet=\'ETF\' LIMIT 3 ' );  </script> "; 
						?>
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=9'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="delete.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="min_max.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

