<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL NULL VREDNOSTI</h4>
						<p>
							<ul>
								<li>Polje sa NULL vrednošću je polje koje nema vrednost.</li>
								<li>Kada je polje u tabeli opciono, prilikom ubacivanja novog ili update-a 
									postojećeg zapisa(vrste) ne mora se navoditi vrednost za ova polja. Vrednosti za polja
									koja nisu popunjena prilikom izvršavanja upita imaće NULL vrednost u bazi.
								</li>
								<li>Takođe, bitno je znati da je NULL vrednost različita od "0" ili od polja koje 
									sadrži samo razmake jer NULL vrednost imaju polja koja su ostavljena prazna prilikom 
									kreiranja novog zapisa.
								</li>
							</ul>
							
						</p><hr>
						<h4>KAKO TESTIRATI NULL VREDNOSTI?</h4>
						
						<p>
							Nije moguće testirati NULL vrednosti kao što je to ranije rađeno sa operatorima(=,>,<).<br/>
							Umesto ovih, koriste se IS NULL i IS NOT NULL operatori.
						</p>
						<h5>IS NULL SINTAKSA</h5>	
							
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolona</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">IS NULL</span>;
						</div>
						
						<h5>IS NOT NULL SINTAKSA</h5>	
							
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolona</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">IS NOT NULL</span>;
						</div>
						
						
					</div>
					
					<div class="box_patern">
						<h4>PRIMER TABELE "Studenti" SA NULL VREDNOSTIMA</h4>
						<div id="baza_primer">
							  <table class="paleBlueRows">
								<thead>
									<tr>
										<th>IdStudent</th>
										<th>Ime</th>
										<th>Prezime</th>
										<th>Indeks</th>
										<th>GodUpisa</th>
										<th>Fakultet</th>
										<th>Smer</th>
										<th>Prosek</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>1</td>
										<td>Petar</td>
										<td>Petrović</td>
										<td>011</td>
										<td>2013</td>
										<td>ETF</td>
										<td>Telekomunikacije</td>
										<td>8.07</td>
									</tr>
									<tr>
										<td>2</td>
										<td>Milan</td>
										<td>Marković</td>
										<td>181</td>
										<td>2013</td>
										<td>PMF</td>
										<td></td>
										<td>8.87</td>
									</tr>
									<tr>
										<td>3</td>
										<td>Filip</td>
										<td>Jovanović</td>
										<td>334</td>
										<td>2013</td>
										<td>ETF</td>
										<td></td>
										<td>8.22</td>
									</tr>
									<tr>
										<td>4</td>
										<td>Danilo</td>
										<td>Nikolić</td>
										<td>569</td>
										<td>2015</td>
										<td>ETF</td>
										<td>Signali i sistemi</td>
										<td>9.15</td>
									</tr>
									<tr>
										<td>5</td>
										<td>Marija</td>
										<td>Bogdanović</td>
										<td>87</td>
										<td>2015</td>
										<td>FON</td>
										<td>Isit</td>
										<td>7.93</td>
									</tr>
									
								</tbody>
							</table><br/>
							<div class="napomena">
								Primetite da su neka polja prazna. To su opciona polja čije vrednosti nisu popunjene 
								prilikom ubacivanja novog zapisa u bazu podataka.
							</div>
						</div>
						
					</div>
					<div id="primer" class="box_patern">
						<h4>IS NULL OPERATOR PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće prikazani svi studenti kojima nije definisan smer(tj. polje smer je prazno).	
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Smer</span>
							<span class="plava_slova_upit">IS NULL</span>;
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
							<table class="paleBlueRows">
								<thead>
									<tr>
										<th>IdStudent</th>
										<th>Ime</th>
										<th>Prezime</th>
										<th>Indeks</th>
										<th>GodUpisa</th>
										<th>Fakultet</th>
										<th>Smer</th>
										<th>Prosek</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>2</td>
										<td>Milan</td>
										<td>Marković</td>
										<td>181</td>
										<td>2013</td>
										<td>PMF</td>
										<td></td>
										<td>8.87</td>
									</tr>
									<tr>
										<td>1</td>
										<td>Filip</td>
										<td>Jovanović</td>
										<td>334</td>
										<td>2013</td>
										<td>ETF</td>
										<td></td>
										<td>8.22</td>
									</tr>
								</tbody>
							</table>
						
						<h4>IS NOT NULL OPERATOR PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće prikazani svi studenti kojima je definisan smer(tj. polje smer nije prazno).	
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Smer</span>
							<span class="plava_slova_upit">IS NOT NULL</span>;
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
							<table class="paleBlueRows">
								<thead>
									<tr>
										<th>IdStudent</th>
										<th>Ime</th>
										<th>Prezime</th>
										<th>Indeks</th>
										<th>GodUpisa</th>
										<th>Fakultet</th>
										<th>Smer</th>
										<th>Prosek</th>
									</tr>
								</thead>
								<tbody>
									<tr>
										<td>1</td>
										<td>Petar</td>
										<td>Petrović</td>
										<td>011</td>
										<td>2013</td>
										<td>ETF</td>
										<td>Telekomunikacije</td>
										<td>8.07</td>
									</tr>
									<tr>
										<td>4</td>
										<td>Danilo</td>
										<td>Nikolić</td>
										<td>569</td>
										<td>2015</td>
										<td>ETF</td>
										<td>Signali i sistemi</td>
										<td>9.15</td>
									</tr>
									<tr>
										<td>5</td>
										<td>Marija</td>
										<td>Bogdanović</td>
										<td>87</td>
										<td>2015</td>
										<td>FON</td>
										<td>Isit</td>
										<td>7.93</td>
									</tr>
									
								</tbody>
							</table>
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="insert_into.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="update.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

