<?php include("header.php"); ?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL ORDER BY KLJUČNA REČ</h4>
						<p>
							Ključna reč ORDER BY se koristi za sortiranje skupa rezultata u rastućem ili opadajućem redosledu.<br/>
							Ključna reč ORDER BY podrazumevano sortira u rastućem redosledu, za sortiranje zapisa u opadajućem redosledu
							koristi se DESC ključna reč. Za rastući redosled ključna reč je ASC.
						</p><hr>
						<h4>ORDER BY SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span>
							<span class="plava_slova_upit">ASC</span><span>|</span><span class="plava_slova_upit">DESC</span>
							
						</div>
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>ORDER BY PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće odabrano ime i prezime studenata, soritrano po proseku. 
							
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">Prosek;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Ime,Prezime,Prosek FROM studenti ORDER BY Prosek  ' );  </script> "; 
						?><br/><hr><br/>
						
						<h4>ORDER BY DESC PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće odabrano ime i prezime studenata, soritrano po indeksu u opadajućem redosledu. 
							
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">Indeks</span>
							<span class="plava_slova_upit">DESC;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT Ime,Prezime,Indeks FROM studenti ORDER BY Indeks DESC ' );  </script> "; 
						?><br/><hr><br/>
						
						<h4>ORDER BY SA VIŠE KOLONA PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće odabrano ime, prezime, fakultet i prosek studenata, sortirano po fakultetu u opadajućem redosledu i
							proseku u rastućem redosledu tj. imena fakulteta će biti izlistana u opadajućem redosledu, a kada se dogodi da dva
							studenta imaju isto polje fakultet tada će se gledati prosek studenata koji se navodi u rastućem redosledu.
							
							
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime,Prezime,Fakultet,Prosek</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ORDER BY</span> <span class="italic_slova_upit">Fakultet</span>
							<span class="plava_slova_upit">DESC</span>, </span><span class="italic_slova_upit">Prosek</span>
							<span class="plava_slova_upit">ASC</span>;	(ovde ne mora da stoji ključna reč ASC jer je po default ASC)
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example3">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example3','SELECT Ime,Prezime,Fakultet,Prosek FROM studenti ORDER BY Fakultet DESC, Prosek ASC ' );  </script> "; 
						?><br/><br/>
						
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=5'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="andOrNot.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="insert_into.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

