<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL SELF JOIN</h4>
						<p>
							SELF JOIN je "običan" JOIN, samo se u ovom slučaju tabela spaja sama sa sobom.
						</p><hr>
						<h4>SQL SELF JOIN SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1 T1, tabela T2</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span>
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>U primerima za JOIN upite koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL SELF JOIN PRIMER</h4>
						<p>
							Sledeći primer predstavlja isti primer kao i za (INNER)JOIN, samo će imena
							kolona u rezultujućoj tabeli biti prema navedenim nazivima u upitu.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">s.Ime</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Ime studenta"</span>,
							<span class="italic_slova_upit">s.Prezime</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Prezime Studenta"</span>,
							<span class="italic_slova_upit">s.Indeks</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Indeks studenta"</span>,
							<span class="italic_slova_upit">s.GodUpisa</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Godina upisa"</span>,
							<span class="italic_slova_upit">i.ImeIspita</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Ime ispita"</span>,
							<span class="italic_slova_upit">i.Ocena</span> <span class="plava_slova_upit">AS</span> <span class="italic_slova_upit">"Dobijena ocena"</span>
							<br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti i</span><br/>
							<span class="plava_slova_upit">INNER JOIN</span> <span class="italic_slova_upit">Studenti s</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">i.IdStudent=s.IdStudent;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT s.Ime AS \"Ime studenta\", s.Prezime AS \"Prezime Studenta\", s.Indeks AS \"Indeks studenta\", s.GodUpisa AS \"Godina upisa\", i.ImeIspita AS \"Ime ispita\", i.Ocena AS \"Dobijena ocena\" FROM Ispiti i INNER JOIN Studenti s ON i.IdStudent=s.IdStudent' );  </script> "; 
						?><br/><br/>

					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=19'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="full_join.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="union.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

