<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL VIEWS</h4>
						<p>
							U SQL-u, prikaz(view) je virtuelna tabela koja predstavlja rezultat SQL izraza.<br/>
							Prikazi sadrže vrste i kolone kao i prave tabele, oni su zapravo polja iz jedne ili
							više tabela iz baze podataka.<br/>
							Moguće je dodati SQL f-je, naredbe WHERE i JOIN kako bi se podaci prikazali kao rezultat upita izvršen
							nad jednom tabelom.
						</p>	
					</div>
					<div id="upit_info" class="box_patern">
						<h4>CREATE VIEW SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">CREATE VIEW</span> <span class="italic_slova_upit">ime_prikaza</span> 
							<span class="plava_slova_upit">AS</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span><br/>
						</div>
						<p>	
							Prikazi(views) se uvek prikazuju ažurirani. Svaki put kada korisnik zatraži prikaz(view), koriste se trenutni podaci 
							koji čine taj prikaz(view) tj. prikaz je nije virtuelna tabela koja se jednom kreira i ne menja izgled već se u njoj
							uvek nalaze ažurirani podaci polja od kojih je prikaz sačinjen.
						</p>
						<hr>
						<h4>CREATE VIEW PRIMER</h4>
						<p>
							U primeru ispod biće kreiran prikaz "student informacije" koji je sačinjen od kolona "IdStudent", "Ime" i "Prezime".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE VIEW</span> <span class="italic_slova_upit">[student informacije]</span> 
							<span class="plava_slova_upit">AS</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">IdStudent, Ime, Prezime</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span><br/>
						</div>
						<p>
							Sada se podaci iz prikaza(view) mogu dobiti na sledeći način:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> * <span class="plava_slova_upit">FROM</span> 
							<span class="italic_slova_upit">[student informacije];</span> 
						</div>
					</div>
					<div id="upit_info" class="box_patern">
						<h4>CREATE OR REPLACE VIEW SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">CREATE OR</span> <span class="italic_slova_upit">REPLACE</span>
							<span class="plava_slova_upit">VIEW</span> <span class="italic_slova_upit">ime_prikaza</span> 
							<span class="plava_slova_upit">AS</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span><br/>
						</div><br/><hr>
						
						<h4>CREATE OR REPLACE VIEW PRIMER</h4>
						<p>
							U primeru ispod, u prikaz(view) "student informacije" biće dodata kolona "Indeks".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE OR</span> <span class="italic_slova_upit">REPLACE</span>
							<span class="plava_slova_upit">VIEW</span> <span class="italic_slova_upit">[student informacije]</span> 
							<span class="plava_slova_upit">AS</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">IdStudent, Ime, Prezime, Indeks</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;</span><br/>
						</div>
					</div>
					<div class="box_patern">
						<h4>DROP VIEW</h4>
						<p>
							Prikazi se mogu brisati na sledeći način:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">DROP VIEW</span> <span class="italic_slova_upit">ime_prikaza;</span>
						</div>
					</div>
					
					<div class="napred/nazad">
					<a href="dates.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="injection.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

