<?php include("header.php"); ?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL WHERE KLAUZULA</h4>
						<p>
							WHERE klauzula se koristi za filtriranje podataka, tj. za "izvlačenje" iz baze samo onih podataka
							koji ispunjavaju definisan uslov.
							WHERE se može koristiti sa SELECT, UPDATE i DELETE naredbama.
							Prilikom sastavljanja upita, klauzula WHERE nije obavezna, ona definiše uslov(e) koje vrste tabele
							u rezultatu moraju da zadovolje.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">kolona1, kolona2, ...</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">ime_tabele;</span><br/>
							<span style="color:blue; font-size:15px;">WHERE</span> <span style="font-size:15px; font-style: italic;">uslov;</span>
						</div>
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>WHERE KLAUZULA PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće odabrani samo oni studenti 
							čiji je fakultet "ETF".
						</p>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">*</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">Studenti</span><br/>
							<span style="color:blue; font-size:15px;">WHERE</span> <span style="font-size:15px; font-style: italic;">Fakultet='ETF';</span>
						</div><br/><hr>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example','SELECT * FROM studenti WHERE Fakultet=\'ETF\'' );  </script> "; 
						?><br/><hr><br/>
						<h4>Tekstualna polja vs. Numerička polja</h4>
						<p>
							SQL zahteva da se tekstualne vrednosti(String) navode sa apostrofima('String'), mada većina sistema
							baza podataka dozvoljava i navođenje pod navodnicima("String"). Numeričke vrednosti se navode bez
							apostrofa/navodnika. To je prikazano u sledećem primeru:
						</p>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">*</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">Studenti</span><br/>
							<span style="color:blue; font-size:15px;">WHERE</span> <span style="font-size:15px; font-style: italic;">idStudent=1;</span>
						</div><br/>
						
					</div>
					<div id="primer" class="box_patern">
						<h4>OPERATORI U WHERE KLAUZULI</h4>
						<table class='paleBlueRows'>
							<thead>
								<tr>
									<th>OPERATOR</th>
									<th>OPIS</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>=</td>
									<td>jednakost</td>
								</tr>
								<tr>
									<td><>(!=)</td>
									<td>nejednakost</td>
								</tr>
								<tr>
									<td>></td>
									<td>veće</td>
								</tr>
								<tr>
									<td><</td>
									<td>manje</td>
								</tr>
								<tr>
									<td>>=</td>
									<td>veće ili jednako</td>
								</tr>
								<tr>
									<td><=</td>
									<td>manje ili jednako</td>
								</tr>
								<tr>
									<td>BETWEEN</td>
									<td>između inkluzivnog opsega</td>
								</tr>
								<tr>
									<td>LIKE</td>
									<td> traženje po obrascu</td>
								</tr>
								<tr>
									<td>IN</td>
									<td>navođenje više mogućih vrednosti za kolonu</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=3'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="select_distinct.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="andOrNot.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

