<?php 
	include("config.php");
	if(isset($_POST['table'])){
		
		$tableType = $_POST['table'];
	
		$idUser = $_COOKIE['loggedUser']['idUser'];
		
		switch($tableType){
			
			case "Studenti": {
				$table = "Studenti".$idUser;
				resetTable($table, $tableType);
				break;
			}
					
					
			case "Studenti_si":{
				
				$table = "Studenti".$idUser."_si";
				resetTable($table, $tableType);
				break;
			
			} 
					
			case "Ispiti":{
				
				$table = "Ispiti".$idUser;
				resetTable($table, $tableType);
				break;
				
			} 
			
		}	

	}
	
function resetTable($table, $tableType){
	
				$conn = connectToDatabase();
		
				$query = "DROP TABLE IF EXISTS $table";
				$stmt = $conn->prepare($query);
				if(!$stmt->execute()){
					respondJson("error", "Došlo je do greške prilikom dropa tabele $table");
				}
				
				$query = "CREATE TABLE $table LIKE $tableType";
				$stmt = $conn->prepare($query);
				if(!$stmt->execute()){
					respondJson("error", "Došlo je do greške prilikom create tabele $table");
				}
				
				$query = "INSERT $table SELECT * FROM $tableType";
				$stmt = $conn->prepare($query);
				if(!$stmt->execute()){
					respondJson("error", "Došlo je do greške prilikom inserta tabele $table");
				}
				
				disconnectFromDatabase($conn);
				respondJson("success", "Uspešno je resetovana tabela $tableType.");
		
}

?>