<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL ALTER TABLE NAREDBA</h4>
						<p>
							ALTER TABLE naredba se koristi za dodavanje, brisanje i modifikovanje kolona u postojećoj tabeli u bazi podataka. 
							Ova naredba se takođe koristi i za dodavanje različitih ograničenja na postojeću tabelu.
						</p>
					</div>
					<div class="box_patern">
						<h4>SINTAKSA</h4>	
						<h5>ALTER TABLE - ADD COLUMN</h5>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">ADD</span> <span class="italic_slova_upit">ime_kolone tip_podataka;</span>
							
						</div><br/>
						<p>
							Na ovaj način se dodaje kolona u tabelu.
						</p><hr>
						<h5>ALTER TABLE - DROP COLUMN</h5>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">DROP COLUMN</span> <span class="italic_slova_upit">ime_kolone;</span>
							
						</div><br/>
						<p>
							Na ovaj način se briše kolona u tabeli.
						</p>
						<div class="napomena">
							Neki sistemi baza podataka ne dozvoljavaju brisanje kolona.
						</div><br/>
						<hr>
						<h5>ALTER TABLE - MODIFY COLUMN</h5>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">ALTER COLUMN</span> <span class="italic_slova_upit">ime_kolone tip_podataka;</span>
							
						</div><br/>
					</div>
					<div id="primer" class="box_patern">
						<h4>ALTER TABLE PRIMER</h4>
						<p>
							U sledećem primeru biće dodata kolona "Adresa_studenta" u tabelu "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti;</span><br/>
							<span class="plava_slova_upit">ADD</span> <span class="italic_slova_upit">Adresa_studenta varchar;</span><br/>
						</div><br/>
						<div class="napomena">
							Napomena: Obratite pažnju da je nova kolona "Adresa_studenta" tipa varchar. Tip podataka(u ovom slučaju varchar)
							određuje vrstu podataka koja se može smeštati u datu kolonu.
						</div>
						<br/>
						<p>
						Sada tabela "Studenti" izgleda ovako:
						</p>
						
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>IdStudent</th>
									<th>Ime</th>
									<th>Prezime</th>
									<th>Indeks</th>
									<th>GodUpisa</th>
									<th>Fakultet</th>
									<th>Smer</th>
									<th>Prosek</th>
									<th>Adresa_studenta</th>
									
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>1</td>
									<td>Petar</td>
									<td>Petrović</td>
									<td>111</td>
									<td>2013</td>
									<td>ETF</td>
									<td>Telekomunikacije</td>
									<td>8.07</td>
								</tr>
								<tr>
									<td>2</td>
									<td>Milan</td>
									<td>Marković</td>
									<td>181</td>
									<td>2013</td>
									<td>PMF</td>
									<td>Informatika</td>
									<td>8.87</td>
								</tr>
								<tr>
									<td>3</td>
									<td>Filip</td>
									<td>Jovanović</td>
									<td>334</td>
									<td>2013</td>
									<td>ETF</td>
									<td>Signali i sistemi</td>
									<td>8.22</td>
								</tr>
								<tr>
									<td>4</td>
									<td>Danilo</td>
									<td>Nikolić</td>
									<td>569</td>
									<td>2015</td>
									<td>ETF</td>
									<td>Signali i sistemi</td>
									<td>9.15</td>
								</tr>
								<tr>
									<td>5</td>
									<td>Marija</td>
									<td>Bogdanović</td>
									<td>87</td>
									<td>2015</td>
									<td>FON</td>
									<td>Isit</td>
									<td>7.93</td>
								</tr>
								<tr>
									<td>6</td>
									<td>Sofija</td>
									<td>Milić</td>
									<td>418</td>
									<td>2012</td>
									<td>PMF</td>
									<td>Informatika</td>
									<td>9.33</td>
								</tr>
								<tr>
									<td>7</td>
									<td>Bojana</td>
									<td>Lazić</td>
									<td>147</td>
									<td>2012</td>
									<td>ETF</td>
									<td>Rti</td>
									<td>9.56</td>
								</tr>
								<tr>
									<td>8</td>
									<td>Sava</td>
									<td>Milenković</td>
									<td>333</td>
									<td>2012</td>
									<td>FON</td>
									<td>Isit</td>
									<td>7.46</td>
								</tr>
								<tr>
									<td>9</td>
									<td>Miloš</td>
									<td>Filipović</td>
									<td>9</td>
									<td>2011</td>
									<td>ETF</td>
									<td>Energetika</td>
									<td>9.72</td>
								</tr>
								<tr>
									<td>10</td>
									<td>Andrija</td>
									<td>Pantelić</td>
									<td>545</td>
									<td>2012</td>
									<td>ETF</td>
									<td>Elektronika</td>
									<td>8.46</td>
								</tr>	
							</tbody>
						</table>
						<br/><hr>
						<h4>PROMENA TIPA PODATAKA PRIMER</h4>
						<p>
							U sledećem primeru biće promenjen tip podataka kolone "Prosek" u tabeli "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti;</span><br/>
							<span class="plava_slova_upit">ALTER COLUMN</span> <span class="italic_slova_upit">Prosek double;</span><br/>
						</div><br/><hr>
						<h4>DROP COLUMN PRIMER</h4>
						<p>
							U sledećem primeru biće obrisana kolona "Adresa_studenta" u tabeli "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti;</span><br/>
							<span class="plava_slova_upit">DROP COLUMN</span> <span class="italic_slova_upit">Adresa_studenta;</span><br/>
						</div><br/>
						<p>Sada tabela "Studenti" izgleda ovako: </p>
						<?php
							include("tabela.php");
						?>	
						
						
						
					
					</div><br/>
					
					<div class="napred/nazad">
					<a href="drop_table.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="constraints.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

