<?php include("header.php"); ?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL AND, OR i NOT OPERATORI</h4>
						<p>
							Klauzula WHERE može se kombinovati sa AND, OR i NOT operatorima.
							AND i OR operatori se koriste za filtriranje zapisa zasnovanih na više uslova.
							<ul>
								<li>AND operator prikazuje zapise samo ako su svi uslovi odvojeni sa AND tačni</li>
								<li>OR operator prikazuje zapise ako je bilo koji od uslova odvojenih sa OR tačan</li>
								<li>NOT operator prikazuje zapise ako je navedeni uslov(i) netačan</li>
							</ul>
						</p><hr>
						<h4>SINTAKSA</h4>
						<h5>AND</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov1</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">uslov2</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">uslov3;</span>
						</div>
						<h5>OR</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov1</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">uslov2</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">uslov3;</span>
						</div>
						<h5>NOT</h5>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
							<span class="plava_slova_upit">WHERE NOT</span> <span class="italic_slova_upit">uslov;</span>
							
						</div>
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>AND, OR i NOT PRIMERI</h4>
						<h5>AND PRIMER</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti 
							čiji je fakultet "ETF" i prosek veći od 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Fakultet='ETF'</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">Prosek>9;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT * FROM studenti WHERE Fakultet=\'ETF\' AND Prosek>9' );  </script> "; 
						?><br/><hr><br/>
						
						<h5>OR PRIMER</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti 
							čiji je fakultet "PMF" ili "FON".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Fakultet='PMF'</span>
							<span class="plava_slova_upit">OR</span> <span class="italic_slova_upit">Fakultet='FON';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT * FROM studenti WHERE Fakultet=\'PMF\' OR Fakultet=\'FON\' ' );  </script> "; 
						?><br/><hr><br/>
						
						<h5>NOT PRIMER</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti 
							čiji je fakultet nije "FON".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="plava_slova_upit">NOT</span>
							 <span class="italic_slova_upit">Fakultet='FON';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example3">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example3','SELECT * FROM studenti WHERE NOT Fakultet=\'FON\' ' );  </script> "; 
						?><br/><hr><br/>
						
						<h5>KOMBINOVANJE AND, OR i NOT OPERATORA</h5>
						<h5>PRIMER 1</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti 
							čija je godina upisa "2013" i smer nije "Signali i Sistemi".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">GodUpisa=2013</span>
							 <span class="plava_slova_upit">AND</span> <span class="plava_slova_upit">NOT</span>
							 <span class="italic_slova_upit">Smer='Signali i Sistemi';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example4">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example4','SELECT * FROM studenti WHERE GodUpisa=2013 AND NOT Smer=\' Signali i Sistemi  \' ' );  </script> "; 
						?><br/><hr><br/>
						
						<h5>PRIMER 2</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti 
							čiji je prosek veći od 9 i fakultet "ETF" ili "PMF".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Prosek>8</span>
							 <span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">(fakultet='ETF'</span> 
							 <span  class="plava_slova_upit">OR</span> <span class="italic_slova_upit">fakultet='PMF')</span>
							 
							 
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example5">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example5','SELECT * FROM studenti WHERE Prosek>9 AND (fakultet=\'ETF\' OR fakultet=\'PMF\') ' );  </script> "; 
						?><br/><br/>
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=4'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="where.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="order_by.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

