<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL BETWEEN OPERATOR</h4>
						<p>
							BETWEEN operator bira vrednosti u datom opsegu, vrednosti mogu biti brojevi, tekst, ili datumi.<br/>
							BETWEEN operator uključuje početne i krajnje vrednosti iz navedenog opsega.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">BETWEEN</span> <span class="italic_slova_upit">vrednost1</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">vrednost2;</span>
						</div><br/>
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
						<h4>BETWEEN OPERATOR PRIMERI</h4>
						<h5>PRIMER1</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima je vrednost polja prosek između 8 i 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Prosek</span>
							<span class="plava_slova_upit">BETWEEN</span> <span class="italic_slova_upit">8</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">9;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT * FROM Studenti WHERE Prosek BETWEEN 8 AND 9' );  </script> "; 
						?>	
						
						<h5>PRIMER2</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima je vrednost polja prosek izvan opsega 8 i 9.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Prosek</span>
							<span class="plava_slova_upit">NOT BETWEEN</span> <span class="italic_slova_upit">8</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">9;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
							
						</div>	
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT * FROM Studenti WHERE Prosek NOT BETWEEN 8 AND 9' );  </script> "; 
						?>
						
						<h5>PRIMER3</h5>

						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti između Filipa i Petra iz tabele "Studenti".<br/>
							Radi bolje preglednosti, najpre će studenti biti poređani po imenu, a zatim izvršen BEETWEN upit:
						</p>
						<div id="Example3">
							
						</div>	
						<?php
							echo "  <script> executeQueryInDiv('#Example3','SELECT * FROM studenti ORDER BY Ime' );  </script> "; 
						?><br/><br/>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Ime</span>
							<span class="plava_slova_upit">BETWEEN</span> <span class="italic_slova_upit">'Filip'</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">'Petar';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example4">
							
						</div>	
						<?php
							echo "  <script> executeQueryInDiv('#Example4','SELECT * FROM studenti WHERE Ime BETWEEN \'Filip\' AND \'Petar\' ORDER BY Ime ' );  </script> "; 
						?>	
						
						<h5>PRIMER4</h5>
						<h4>BETWEEN OPERATOR SA IN OPERATOROM</h4>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima je vrednost polja prosek između 8 i 9. I
							dodatno, ne prikazuju se studenti sa "ETF"-a.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">(Prosek</span>
							<span class="plava_slova_upit">BETWEEN</span> <span class="italic_slova_upit">7</span>
							<span class="plava_slova_upit">AND</span> <span class="italic_slova_upit">9)</span><br/>
							<span class="plava_slova_upit">AND NOT</span> <span class="italic_slova_upit">Fakultet</span>
							<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">'ETF';</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example5">
						
						</div>	
						<?php
							echo "  <script> executeQueryInDiv('#Example5','SELECT * FROM studenti WHERE (Prosek BETWEEN 7 AND 9) AND NOT Fakultet IN (\'ETF\') ' );  </script> "; 
						?>	
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=1'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="in.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="aliases.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

