<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL COMMENTS</h4>
						<p>
							Komentari se koriste za objašnjenje delova SQL izraza ili u nekim slučajevima za sprečavanje izvršenja SQL izraza.	
						</p>
					</div>
					
					<div class="box_patern">
						<h4>"SINGLE LINE" KOMENTARI</h4>
						<p>
							"Single-line" komentar je komentarisanje jedne linije koda. Označava se sa "--" i svaki tekst između 
							ove oznake i kraja linije će biti ignorisan, tj. neće se izvršavati.
						</p>
						<p>
							U sledećem primeru komentar se koristi za objašnjenje upita:
						</p>
						<div class="kod">
							<span class="komentar">-- Selektovanje svih studenata</span><br/><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;<span>	
						</div><br/>
						<p>
							U sledećem primeru komentar se koristi za ignorisanje cele SELECT naredbe:
						</p>
						<div class="kod">
							<span class="komentar">-- SELECT * FROM Studenti</span><br/><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti;<span>	
						</div><br/><hr/>
						
						<h4>"MULTI LINE" KOMENTARI</h4>
						<p>
							"Multi-line" komentar je komentarisanje više linija koda. Ovaj komentar počinje sa oznakom "*/", a
							završava se sa "*/", pri čemu je svaki tekst između ove dve oznake ignorisan.
						</p>
						<p>
							U sledećem primeru komentar se koristi za objašnjenje upita:
						</p>
						<div class="kod">
							<span class="komentar">/* Ovom SELECT naredbom<br/>  biće selektovani svi zapisi<br/> iz tabele "Ispiti" */</span>
							<br/><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti;<span>
						</div><br/>
						<p>
							U sledećem primeru komentar se koristi za ignorisanje nekoliko SELECT naredbi:
						</p>
						<div class="kod">
							<span class="komentar">/* SELECT * FROM Studenti;<br/>SELECT * FROM Studenti_januar;<br/>SELECT * FROM Studenti_februar */</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti;<span>	
						</div><br/>
						<p>
							"Multi-line" komentar se može koristiti i za ignorisanje dela naredbe, kao u primeru ispod:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime,</span> <span class="komentar">/*Indeks,*/</span> <span class="italic_slova_upit">GodUpisa</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;<span>		
						</div><br/>
						
					</div>
					
					<div class="napred/nazad">
					<a href="null_functions.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="createdb.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

