<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL CONSTRAINTS</h4>
						<p>
							SQL constraints tj. ograničenja se koriste za određivanje pravila za podatke u tabeli.<br/>
							Ograničenja se mogu specificirati kada se tabela kreira sa naredbom CREATE TABLE ili nakon kreiranja tabele
							naredbom ALTER TABLE.
						</p><hr>
						<h4>SINTAKSA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">ime_tabele (</span><br/>
							<span class="italic_slova_upit">kolona1 tip_podataka</span> <span class="plava_slova_upit">constraint</span>,<br/>
							<span class="italic_slova_upit">kolona2 tip_podataka</span> <span class="plava_slova_upit">constraint</span>,<br/>
							<span class="italic_slova_upit">kolona3 tip_podataka</span> <span class="plava_slova_upit">constraint</span>,<br/>
							...<br/>
							<span class="italic_slova_upit">);</span>
						</div>
					</div>
					<div class="box_patern">
						<h4>SQL CONSTRAINTS</h4>
						<p>
							Ograničenja se koriste da ograniče vrstu podataka koji se mogu upisati u tabelu. Na taj način se
							obezbeđuje tačnost i pouzdanost podataka u tabeli. Ako postoji bilo kakvo kršenje ograničenja prilikom unosa
							podatka u tabelu akcija se prekida.<br/>
							Ograničenja mogu važiti na nivou kolone ili na na nivou čitave tabele.
						</p>
						<p>
							Sledeća ograničenja se najčešće koriste u SQL-u:
						</p>
						<ul>
							<li><b>NOT_NULL</b> - Osigurava da kolona ne sme imati vrednost NULL</li>
							<li><b>UNIQUE</b> - Osigurava da su sve vrednosti u koloni različite</li>
							<li><b>PRIMARY_KEY</b> - Kombinacija NOT_NULL i UNIQUE. Jedinstveno identifikuje svaku vrstu u tabeli.</li>
							<li><b>FOREIGN_KEY</b> - Jedinstveno identifikuje vrstu/zapis u drugoj tabeli</li>
							<li><b>CHECK</b> - Osigurava da sve vrednosti u koloni zadovoljavaju određeni uslov</li>
							<li><b>DEFAULT</b> - Podešava podrazumevanu vrednost za kolonu kada vrednost nije specificirana</li>
							<li><b>INDEX</b> - Koristi se za brzo kreiranje i "pretraživanje" podataka iz baze</li>
						</ul>
						
					</div>
					
					<div class="napred/nazad">
					<a href="alter_table.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="not_null.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

