<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL CREATE TABLE NAREDBA</h4>
						<p>
							CREATA TABLE naredba se koristi za kreiranje nove tabele u bazi podataka.
						</p><hr>
						<h4>SINTAKSA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">ime_tabele (</span><br/>
							<span class="italic_slova_upit">kolona1 tip_podataka,</span><br/>
							<span class="italic_slova_upit">kolona2 tip_podataka,</span><br/>
							<span class="italic_slova_upit">kolona3 tip_podataka,</span><br/>
							<span class="italic_slova_upit">...</span><br/>
							<span class="italic_slova_upit">);</span><br/>
						</div><br/>
						<div class="napomena">
							Kolona1, kolona2, kolona3, predstavljaju imena kolona u tabeli.<br/>
							Parametar tip_podataka predstavlja koji tip podataka se može smeštati u datu kolonu.(npr. varchar, integer, ...)
						</div>
					</div>
					<div id="primer" class="box_patern">
						<h4>CREATE TABLE PRIMER</h4>
						<p>
							U sledećem primeru biće kreirana tabela "Studenti" koja sadrži pet kolona: StudentID, Ime, Prezime, Fakultet, Smer.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">StudentID int,</span><br/>
							<span class="italic_slova_upit">Ime varchar(255),</span><br/>
							<span class="italic_slova_upit">Prezime varchar(255),</span><br/>
							<span class="italic_slova_upit">Fakultet varchar(255)</span><br/>
							<span class="italic_slova_upit">Smer varchar(255)</span><br/>
							<span class="italic_slova_upit">);</span><br/>
						</div><br/>
						<div class="napomena">
							Kolona StudentID je tipa integer, dok su kolone Ime, Prezime, Fakultet i Smer tipa varchar, pri čemu je maskimalna
							dužina za ova polje 255 karaktera.<br/>
							Ovako izgleda prazna tabela "Studenti":
						</div><br/>
						<table class="paleBlueRows">
							<thead>
								<th>StudentID</th>
								<th>Ime</th>
								<th>Prezime</th>
								<th>Fakultet</th>
								<th>Smer</th>
							</thead>
							<tbody>
							</tbody>
						</table><br/>
						<p>
							Prazna tabela "Studenti" sada može biti popunjena podacima sa SQL INSERT INTO naredbom.
						</p><br/><hr>
						<h4>KOPIRANJE TABELE</h4>
						<p>
							Kopiranje postojeće tabele je moguće kombinovanjem CREATE TABLE i SELECT naredbi.<br/>
							U novoj tabeli sve kolone koje su selekrovane će biti isto definisane kao u onoj koja se kopira.<br/>
							U koliko kreirate novu tabelu koristeći postojeću, nova tabela će biti popunjena istim vrednostima kao i stara.
						</p>
						<h4>SINTAKSA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">ime_nove_tabele</span>
							<span class="plava_slova_upit">AS</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">kolona1, kolona2, ...</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_postojeće_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> ...;
						</div><br/>
						
					
					</div><br/>
					
					<div class="napred/nazad">
					<a href="dropdb.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="drop_table.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

