<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL DELETE UPIT</h4>
						<p>
							DELETE upit se koristi za brisanje postojećih zapisa u tabeli.
						</p><hr>
						<h4>DELETE SINTAKSA</h4>
						
						<div class="kod">
							<span class="plava_slova_upit">DELETE FROM</span> 
							<span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">uslov;</span>
						</div><br/>
						<div class="napomena">
							Treba biti pažljiv prilikom sastavljanja DELETE upita. Obratite pažnju na WHERE klauzulu u upitu. 
							Klauzula WHERE određuje koji zapisi će biti izbrisani. 
							U koliko izostavite WHERE klauzulu svi zapisi u tabeli će biti izbrisani.
						</div>
						
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
						<h4>DELETE PRIMER</h4>
						<p>
							Naredbom u sledećem primeru biće izbrisan student sa id-em 1(IdStudent=1)	
						</p>
						<div class="kod">
							<span class="plava_slova_upit">DELETE FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">IdStudent=1;</span><br/>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						 You have made changes to the database. Rows affected: 1<br/><br/>
						 <p>Sada tabela "Studenti" izgleda ovako:</p>
						<?php
							include("tabela_delete.php");
						?><br/><br/><hr><br/>
						
						<h4>DELETE - BRISANJE SVIH ZAPISA</h4>
						<p>
							Moguće je izbrisati ceo sadržaj tabele(sve vrste) bez brisanja tabele.
							To znači da će struktura tabele, atributi, indeksi ostati nepromenjeni.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">DELETE FROM</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
						</div>
						<p>Ili na drugi način:</p>
						<div class="kod">
							<span class="plava_slova_upit">DELETE</span> * <span class="plava_slova_upit">FROM</span>
							</span> <span class="italic_slova_upit">ime_tabele;</span><br/>
						</div><br/>
						
							
						
						
						
						
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=8'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="update.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="limit.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

