<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>MySQL FUNCTIONS</h4>
						<p>
							MySQL poseduje mnogo ugrađenih funkcija.<br/>
							Ovde su navedene "string", "numeric", "date" i napredne SQL funkcije koja podržava MySQL.
						</p>
					</div>
					<div class="box_patern">
						<h4>MySQL STRING FUNKCIJE</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Funkcija</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>ASCII</td>
									<td>Vraća kodni broj koji predstavlja specifičan karakter.</td>
								</tr>
								<tr>
									<td>CHAR LENGHT</td>
									<td>Vraća broj karaktera navedenog string-a.</td>
								</tr>
								<tr>
									<td>CHARACTER LENGHT</td>
									<td>Vraća broj karaktera navedenog string-a.</td>
								</tr>
								<tr>
									<td>CONCAT</td>
									<td>Nadovezuje dva ili više izraza zajedno.</td>
								</tr>
								<tr>
									<td>CONCAT WS</td>
									<td>Nadovezuje dva ili više izraza zajedno i stavlja separator između njih.</td>
								</tr>
								<tr>
									<td>FIELD</td>
									<td>Vraća položaj vrednosti iz liste vrednosti.</td>
								</tr>
								<tr>
									<td>FIND IN SET</td>
									<td>Vraća položaj stringa iz liste stringova.</td>
								</tr>
								<tr>
									<td>INSERT</td>
									<td>Ubacuje string u već postojeći string na definisanu poziciju.</td>
								</tr>
								<tr>
									<td>INSTR</td>
									<td>Vraća poziciju prvog pojavljivanja nekog stringa u drugom string-u</td>
								</tr>
								<tr>
									<td>LCASE, LOWER</td>
									<td>Pretvara string u mala slova.</td>
								</tr>
								<tr>
									<td>FORMAT</td>
									<td>Formatira broj "###.##, #" zaokružujući ga na definisan broj decimala.</td>
								</tr>
								<tr>
									<td>LEFT</td>
									<td>Izvlači string iz drugog stringa, počevši s leva na desno.</td>
								</tr>
								<tr>
									<td>LENGTH</td>
									<td>Vraća dužinu string-a, u bajtovima.</td>
								</tr>
								<tr>
									<td>LOCATE, POSITION</td>
									<td>Vraća poziciju prvog pojavljivanja string-a u nekom drugom string-u.</td>
								</tr>
								<tr>
									<td>LPAD</td>
									<td>Vraća string dopunjen sa leve strane drugim definisanim stringom sve dok celokupan string ne dostigne definisan broj karaktera.</td>
								</tr>
								<tr>
									<td>LTRIM</td>
									<td>Uklanja višestruke razmake u string-u, sa leve strane.</td>
								</tr>
								<tr>
									<td>MID</td>
									<td>Izdvaja string(definisane dužine) iz nekog drugog string-a, počevši od definisane pozicije.</td>
								</tr>
								<tr>
									<td>REPEAT</td>
									<td>Ponavlja string specificiran broj puta.</td>
								</tr>
								<tr>
									<td>REPLACE</td>
									<td>Vrši zamenu string-a u nekom drugom.(na svim pozicijama pojavljivanja)</td>
								</tr>
								<tr>
									<td>REVERSE</td>
									<td>Ispisuje string u obrnutom redosledu slova.</td>
								</tr>
								<tr>
									<td>RIGHT</td>
									<td>Izvlači string iz drugog stringa, počevši s desna na levo.</td>
								</tr>
								<tr>
									<td>RPAD</td>
									<td>Vraća string dopunjen sa desne strane drugim definisanim stringom sve dok celokupan string ne dostigne definisan broj karaktera.
								<tr>
									<td>RTRIM</td>
									<td>Uklanja višestruke razmake u string-u, sa desne strane.</td>
								</tr>
								<tr>
									<td>SPACE</td>
									<td>Vraća string sastavljen od definisanog broj razmaka.</td>
								</tr>
								<tr>
									<td>STRCMP</td>
									<td>Poredi da li su dva stringa ista.</td>
								</tr>
								<tr>
									<td>SUBSTR, SUBSTRING</td>
									<td>Izdvaja string(definisane dužine) iz nekog drugog string-a, počevši od definisane pozicije.</td>
								</tr>
								<tr>
									<td>SUBSTRING INDEX</td>
									<td>Vraća string koji se nalazi u drugom string-u pre pojavljivanja definisanog znaka.</td>
								</tr>
								<tr>
									<td>TRIM</td>
									<td>Briše razmake i pre i posle definisanog string-a.</td>
								</tr>
								<tr>
									<td>UCASE,UPPER</td>
									<td>Pretvara string u velika slova.</td>
								</tr>
									
							</tbody>
						</table>	
					</div>
					<div class="box_patern">
						<h4>MySQL NUMERIČKE FUNKCIJE</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Funkcija</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>ABS</td>
									<td>Vraća aspolutnu vrednost broja.</td>
								</tr>
								<tr>
									<td>ACOS</td>
									<td>Vraća arkus kosinus broja.</td>
								</tr>
								<tr>
									<td>ASIN</td>
									<td>Vraća arkus sinus broja.</td>
								</tr>
								<tr>
									<td>ATAN</td>
									<td>Vraća arkus tangens broja, ili tangentnu tačku n i m.</td>
								</tr>
								<tr>
									<td>ATAN2</td>
									<td>Vraća tangentnu tačku n i m.</td>
								</tr>
								<tr>
									<td>AVG</td>
									<td>Vraća prosečnu vrednost izraza.</td>
								</tr>
								<tr>
									<td>CEIL, CEILING</td>
									<td>Vraća prvi veći ceo broj.</td>
								</tr>
								<tr>
									<td>COS</td>
									<td>Vraća kosinus vrednost broja.</td>
								</tr>
								<tr>
									<td>COT</td>
									<td>Vraća kotangens vrednost broja.</td>
								</tr>
								<tr>
									<td>COUNT</td>
									<td>Vraća broj zapisa u "select" upitu.</td>
								</tr>
								<tr>
									<td>DEGREES</td>
									<td>Vrši konverziju radijana u stepene.</td>
								</tr>
								<tr>
									<td>DIV</td>
									<td>Vrši celobrojno deljenje.</td>
								</tr>
								<tr>
									<td>EXP</td>
									<td>Vraća vrednost broja e, stepenovan datim argumentom.</td>
								</tr>
								<tr>
									<td>FLOOR</td>
									<td>Vraća prvi manji ceo broj.</td>
								</tr>
								<tr>
									<td>GREATEST</td>
									<td>Vraća najveću vrednost iz liste vrednosti.</td>
								</tr>
								<tr>
									<td>LEAST</td>
									<td>Vraća najmanju vrednost iz liste vrednosti.</td>
								</tr>
								<tr>
									<td>LN</td>
									<td>Vraća ln() vrednost broja.</td>
								</tr>
								<tr>
									<td>LOG</td>
									<td>Vraća prirodni logaritam broja, ili logaritam sa specificiranom osnovom.</td>
								</tr>
								<tr>
									<td>LOG10</td>
									<td>Vraća logaritamsku vrednost broja za osnovu 10.</td>
								</tr>
								<tr>
									<td>LOG2</td>
									<td>Vraća logaritamsku vrednost broja za osnovu 2.</td>
								</tr>
								<tr>
									<td>MAX</td>
									<td>Vraća maksimalnu vrednost.</td>
								<tr>
									<td>MIN</td>
									<td>Vraća minimalnu vrednost.</td>
								</tr>
								<tr>
									<td>MOD</td>
									<td>Vraća ostatak od n, podaljen sa m.</td>
								</tr>
								<tr>
									<td>PI</td>
									<td>Vraća vrednost broja pi, zaokružen na 6 decimala.</td>
								</tr>
								<tr>
									<td>POW, POWER</td>
									<td>Vraća vrednost m, podignu na n-ti stepen.</td>
								</tr>
								<tr>
									<td>RADIANS</td>
									<td>Vrši konverziju stepena u radijane.</td>
								</tr>									
								<tr>
									<td>RAND</td>
									<td>Vraća slučajan broj, ili slučajan broj unutar opsega.</td>
								</tr>
								<tr>
									<td>ROUND</td>
									<td>Vraća broj zaokružen na određeni broj decimala.</td>
								</tr>
								<tr>
									<td>SIGN</td>
									<td>Vraća znak broja(-1/1).</td>
								</tr>
								<tr>
									<td>SIN</td>
									<td>Vraća sinus datog broja.</td>
								</tr>
								<tr>
									<td>SQRT</td>
									<td>Vraća kvadratni koren broja.</td>
								</tr>
								<tr>
									<td>SUM</td>
									<td>Vraća zbirnu vrednost broja.</td>
								</tr>
								<tr>
									<td>TAN</td>
									<td>Vraća tangens broja.</td>
								</tr>
								<tr>
									<td>TRUNCATE</td>
									<td>Vraća broj skraćen na definisan broj decimala.</td>
								</tr>
									
							</tbody>
						</table>
					</div>
					<div class="box_patern">
						<h4>MySQL DATUMSKE FUNKCIJE</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Funkcija</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>ADDDATE, DATE_ADD</td>
									<td>Vraća datum nakon dodavanja određenog broja dana.</td>
								</tr>
								<tr>
									<td>ADDTIME</td>
									<td>Vraća datum/vreme nakon dodavanja određenog broja sekudni,minuta,sati ili dana.</td>
								</tr>
								<tr>
									<td>CURDATE, CURRENT_DATE, </td>
									<td>Vraća trenutni datum.</td>
								</tr>
								<tr>
									<td>CURRENT_TIME, CURTIME</td>
									<td>Vraća trenutno vreme</td>
								</tr>
								<tr>
									<td>CURRENT_TIMESTAMP, SYSDATE</td>
									<td>Vraća trenutni datum i vreme.</td>
								</tr>
								<tr>
									<td>DATE</td>
									<td>Izvodi datum iz datumskog izraza.</td>
								</tr>
								<tr>
									<td>DATEDIFF</td>
									<td>Vraća razliku u danima između dva datuma.</td>
								</tr>
								<tr>
									<td>DATE_FORMAT</td>
									<td>Vraća formatiran datum po definisanom zahtevu.</td>
								</tr>
								<tr>
									<td>DATE_SUB</td>
									<td>Vraća datum, nakon oduzimanja definsanog broja dana.</td>
								</tr>
								<tr>
									<td>DAY, DAYOFMONTH</td>
									<td>Vraća "dnevni" deo datuma.</td>
								</tr>
								<tr>
									<td>DAYNAME</td>
									<td>Vraća ime dana u nedelji za definisan datum.</td>
								</tr>
								<tr>
									<td>DAYOFWEEK</td>
									<td>Vraća redni broj dana u nedelji, za definisan datum.(Nedelja=1)</td>
								</tr>
								<tr>
									<td>DAYOFYEAR</td>
									<td>Vraća redni broj dana u godini, za definisan datum.</td>
								</tr>
								<tr>
									<td>EXTRACT</td>
									<td>Izvodi željeni deo datuma.</td>
								</tr>
								<tr>
									<td>FROM DAYS</td>
									<td>Vraća datum iz numeričke reprezentacije dana.</td>
								</tr>
								<tr>
									<td>HOUR</td>
									<td>Vraća "sat" iz definisanog vremena.</td>
								</tr>
								<tr>
									<td>LAST_DAY</td>
									<td>Vraća poslednji datum poslednjeg dana u mesecu.</td>
								</tr>
								<tr>
									<td>LOCALTIMESTAMP</td>
									<td>Vraća trenutni datum i vreme.</td>
								</tr>
								<tr>
									<td>MAKEDATE</td>
									<td>Vraća datum za definsanu godinu i dan.</td>
								</tr>
								<tr>
									<td>MAKETIME</td>
									<td>Vraća vreme za definisan broj sati, minuta i sekundi.</td>
								</tr>
								<tr>
									<td>MICROSECOND</td>
									<td>Vraća broj mikrosekundi od broja sekundi datog datuma.</td>
								<tr>
									<td>MINUTE</td>
									<td>Vraća redni broj minuta iz definisanog datuma/vremena.</td>
								</tr>
								<tr>
									<td>MONTH</td>
									<td>Vraća redni broj meseca iz definisanog datuma.</td>
								</tr>
								<tr>
									<td>MONTHNAME</td>
									<td>Vraća ime meseca za definisan datum.</td>
								</tr>
								<tr>
									<td>NOW</td>
									<td>Vraća trenutno vreme i datum.</td>
								</tr>
								<tr>
									<td>PERIOD_ADD</td>
									<td>Vraća godinu i mesec, nakon što se doda specificiran broj meseci.</td>
								</tr>									
								<tr>
									<td>PERIOD_DIFF</td>
									<td>Vraća razliku u mesecima između dva specificirana datuma.</td>
								</tr>
								<tr>
									<td>QUARTER</td>
									<td>Vraća broj kvartala u godini za definisan datum.</td>
								</tr>
								<tr>
									<td>SECOND</td>
									<td>Vraća redni broj sekundi u definisanom datumu/vremenu.</td>
								</tr>
								<tr>
									<td>SEC_TO_TIME</td>
									<td>Konvertuje broj sekundi u vreme.</td>
								</tr>
								<tr>
									<td>STR_TO_DATE</td>
									<td>Uzima string i vraća datum u definisanom formatu.</td>
								</tr>
								<tr>
									<td>SUBDATE</td>
									<td>Vraća datum kada se od njega oduzme specificirani broj dana.</td>
								</tr>
								<tr>
									<td>SUBTIME</td>
									<td>Vraća datum/vreme kada se od njega oduzme specificirano vreme.</td>
								</tr>
								<tr>
									<td>TIME</td>
									<td>Izvlači vrednost vremena iz izraza.</td>
								</tr>
								<tr>
									<td>TIME_FORMAT</td>
									<td>Formatira vreme po definisanoj masci.</td>
								</tr>
								<tr>
									<td>TIME_TO_SEC</td>
									<td>Konvertuje specificirano vreme u broj sekundi.</td>
								</tr>
								<tr>
									<td>TIMEDIFF</td>
									<td>Vraća vremensku razliku između dva navedena vremena/datuma.</td>
								</tr>
								<tr>
									<td>TIMESTAMP</td>
									<td>Konvertuje navedene vrednosti datuma i vremena u jedan izraz.</td>
								</tr>
								<tr>
									<td>TO_DAYS</td>
									<td>Konvertuje datum u broj dana.</td>
								</tr>
								<tr>
									<td>WEEK, WEEKOFYEAR</td>
									<td>Vraća redni broj nedelje od početka godine za definisan datum.</td>
								</tr>
								<tr>
									<td>WEEKDAY</td>
									<td>Vraća redni broj nedelje u mesecu za definisan datum.</td>
								</tr>
								<tr>
									<td>YEAR</td>
									<td>Vraća redni broj godine iz specificiranog datuma.</td>
								</tr>
								<tr>
									<td>YEARWEEK</td>
									<td>Vraća redni broj godine i redni broj nedelje u godini iz specificiranog datuma.</td>
								</tr>
									
							</tbody>
						</table>
					</div>
					<div class="box_patern">
						<h4>MySQL NAPREDNE FUNKCIJE</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Funkcija</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>BIN</td>
									<td>Konvertuje decimalni broj u binarni broj.</td>
								</tr>
								<tr>
									<td>BINARY</td>
									<td>Konvertuje vrednost u binarni niz.</td>
								</tr>
								<tr>
									<td>CASE</td>
									<td>Omogućava ispitivanje definisanof uslova i vraćanje specificirane vrednosti ukolko je uslov ispunjen.</td>
								</tr>
								<tr>
									<td>CAST</td>
									<td>Konvertuje vrednost iz jednog u drugi tip podataka.</td>
								</tr>
								<tr>
									<td>COALESCE</td>
									<td>Vraća prvu nenultu vrednost iz date liste.</td>
								</tr>
								<tr>
									<td>CONNECTION_ID</td>
									<td>Vraća jedinstveni broj trenutne konekcije.</td>
								</tr>
								<tr>
									<td>CONV</td>
									<td>Konvertuje broj iz jednog tipa u drugi.</td>
								</tr>
								<tr>
									<td>CONVERT</td>
									<td>Konvertuje vrednost iz jednog tipa podataka u drugi.</td>
								</tr>
								<tr>
									<td>CURRENT_USER</td>
									<td>Vraća korisničko ime i ime hosta za MySQL nalog koje server koristi za autentifikaciju trenuntog klijenta.</td>
								</tr>
								<tr>
									<td>DATABASE</td>
									<td>Vraća ime podrazumevane baze podataka.</td>
								</tr>
								<tr>
									<td>IF</td>
									<td>Vraća jednu vrednost u koliko je uslov definisan uslov ispunje, i drugu u koliko uslov nije ispunjen.</td>
								</tr>
								<tr>
									<td>IFNULL</td>
									<td>Omogućava vraćanje alternativne vrednosti u koliko je podrazumevana NULL.</td>
								</tr>
								<tr>
									<td>ISNULL</td>
									<td>Ispituje da li je vrednost izraza NULL.</td>
								</tr>
								<tr>
									<td>LAST_INSERT_ID</td>
									<td>Vraća poslednju autoinkrementiranu vrednost koja je setovana poslednjim UPDATE ili INSERT INTO izrazom.</td>
								</tr>
								<tr>
									<td>NULLIF</td>
									<td>Vrši poređenje dva izraza.</td>
								</tr>
								<tr>
									<td>SESSION_USER, SYSTEM_USER, USER</td>
									<td>Vraća korisničko ime i ime hosta za trenutnog MySQL korisnika.</td>
								</tr>
								<tr>
									<td>VERSION</td>
									<td>Vraća trenutnu verziju MySQL baze podataka.</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<div class="napred/nazad">
					<a href="injection.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="operators.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

