<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL IN OPERATOR</h4>
						<p>
							IN operator omogućava navođenje više vrednosti u WHERE klauzuli.<br/>
							IN operator predstavlja skraćenicu za višestruke OR uslove.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>	
						
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">(vrednost1, vrednost2, ...);</span>
						</div><br/>
						ili
						<br/><br/>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">ime_tabele</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">ime_kolone</span>
							<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">(</span><span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">UPIT);</span>
						</div><br/>
						
						
						
						
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
						?>	
					</div>
					
					<div id="primer" class="box_patern">
						<h4>IN OPERATOR PRIMERI</h4>
						<h5>PRIMER1</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima je vrednost polja fakultet "ETF" ili "PMF".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Fakultet</span>
							<span class="plava_slova_upit">IN</span> <span class="italic_slova_upit">('ETF', 'PMF');</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT * FROM studenti WHERE Fakultet IN (\'ETF\',\'PMF\')' );  </script> "; 
						?>
						
						<h5>PRIMER2</h5>
						<p>
							Naredbom u sledećem primeru biće odabrani svi studenti kojima vrednost polja fakultet NIJE "ETF" ili "PMF".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">*</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">WHERE</span> <span class="italic_slova_upit">Fakultet</span>
							<span class="plava_slova_upit">NOT IN</span> <span class="italic_slova_upit">('ETF', 'PMF');</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example2">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example2','SELECT * FROM studenti WHERE Fakultet NOT IN (\'ETF\',\'PMF\')' );  </script> "; 
						?>	
						
					</div>
					
					

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=13'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="like.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="between.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

