<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL CREATE INDEX NAREDBA</h4>
						<p>
							CREATE INDEX naredba se koristi za kreiranje indeksa u tabelama.<br/>
							Indeksi se koriste za brzo dobijanje podataka iz baze podataka. Korisnici ne mogu da vide indekse, 
							oni se koriste za ubrzavanje pretraživanja tj. izvršavanja upita.<br/>
						</p><br/>	
						<div class="napomena">	
							Napomena: Ažuriranje tabele sa indeksima traje duže nego tabele bez njih, pa je preporučljivo
							stavljati indekse samo na kolone koje će se često pretraživati.
						</div>	
						
					</div>
					<div class="box_patern">
						<h4>CREATE INDEX SINTAKSA</h4>
						<p>
							Sledeća SQL naredba kreira indekse u tabeli, iste vrednosti su dozvoljene.
						<div class="kod">
							<span class="plava_slova_upit">CREATE INDEX</span> <span class="italic_slova_upit">ime_indeksa</span><br/>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">ime_tabele(kolona1, kolona2, ...);</span><br/>
						</div><br/><hr>
						<h4>CREATE UNIQUE INDEX SINTAKSA</h4>
						<p>
							Sledeća SQL naredba kreira indekse u tabeli, iste vrednosti NISU dozvoljene.
						<div class="kod">
							<span class="plava_slova_upit">CREATE UNIQUE INDEX</span> <span class="italic_slova_upit">ime_indeksa</span><br/>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">ime_tabele(kolona1, kolona2, ...);</span><br/>
						</div><br/>
						<div class="napomena">
							Napomena: Sintaksa za kreiranje indeksa varira za različite baza podataka.
						</div>
					
					</div>
					<div class="box_patern">
						<h4>CREATE INDEX PRIMER</h4>
						<p>	
							Sledeća SQL naredba kreira indeks "idx_Prezime" na koloni "Prezime" u tabeli "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE INDEX</span> <span class="italic_slova_upit">idx_Prezime</span><br/>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">Studenti(Prezime);</span>
						</div>
						<p>
							U koliko želite da kreirate indeks za kombinaciju kolona, naredba izgled ovako:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE INDEX</span> <span class="italic_slova_upit">idx_stud</span><br/>
							<span class="plava_slova_upit">ON</span> <span class="italic_slova_upit">Studenti(Ime,Prezime);</span>
						</div>
					</div>
					<div class="box_patern">
							<h4>DROP INDEX NAREDBA</h4>
							<p>	
								DROP INDEX naredba se koristi za brisanje indeksa iz tabele.
							</p>
							<div class="kod">
								<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">ime_tabele</span><br/>
								<span class="plava_slova_upit">DROP INDEX</span> <span class="italic_slova_upit">ime_indeksa;</span>
								
							</div>
						</div>
					
					<div class="napred/nazad">
					<a href="default.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="auto_increment.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

