<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL INNER JOIN</h4>
						<p>
							Ključna reč INNER JOIN selektuje zapise čije se vrednosti u odgovarajućim kolonama u obe tabele poklapaju. 
						</p><hr>
						<h4>SQL INNER JOIN SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">INNER JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span>
						</div><br/><br/>
						
						<center><img id="inner_join" src="../images/inner_join.png"></center>
						
					</div>
					<div class="box_patern">
						<p>U primerima za JOIN upite koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL INNER JOIN PRIMER</h4>
						<p>
							U tabeli "Ispiti nalaze se studenti iz tabele "Studenti" koji imaju položen neki od ispita u
							navedenoj tabeli.<br/>
							U sledećem primeru biće selektovane informacije o svim studentima koji imaju položen
							neki od navedenih ispita.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, 
								Ispiti.ImeIspita, Ispiti.Ocena 
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">INNER JOIN</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena FROM Ispiti INNER JOIN Studenti ON Ispiti.IdStudent=Studenti.IdStudent;' );  </script> "; 
						?><br/><br/>
						<div class='napomena'>
							Napomena: Ključna reč INNER JOIN selektuje sve vrste iz obe tabele sve dok postoji podudaranje
							između kolona. Ako u tabeli "Studenti" postoje zapisi koji nemaju podudaranje u tabeli "Ispiti", 
							ovi studenti neće biti prikazani. (Isto važi i za obrnut slučaj).
							<br/>
							Takođe, moguće je JOIN-ovati i 3 tabele.
							
						</div>
						
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=15'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="joins.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="left_join.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

