<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL LEFT JOIN</h4>
						<p>
							Ključna reč LEFT JOIN selektuje sve zapise iz leve tabele(tabela1) i zapise iz desne tabele(tabela2) kod kojih 
							postoji poklapanje u odgovarajućoj koloni sa levom tabelom.<br/> U slučaju ne poklapanja vrednosti u odgovarajućim
							kolonama, pridružena polja će imati NULL vrednost.
						</p><hr>
						<h4>SQL LEFT JOIN SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">LEFT JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span>
						</div><br/>
						<p>
							Napomena: U nekim bazama podataka LEFT JOIN se naziva LEFT OUTER JOIN.
						</p><br/>
						
						<center><img id="left_join" src="../images/left_join.png"></center>
						
					</div>
					<div class="box_patern">
						<p>U primerima za JOIN upite koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL LEFT JOIN PRIMER</h4>
						<p>
							U sledećem primeru biće selektovane informacije o studentima iz tabele "Studenti" i mogućim
							ispitima iz tabele "Ispiti" koje su ti studenti položili.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, 
								Ispiti.ImeIspita, Ispiti.Ocena 
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">LEFT JOIN</span> <span class="italic_slova_upit">Ispiti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena FROM Studenti LEFT JOIN Ispiti ON Ispiti.IdStudent=Studenti.IdStudent' );  </script> "; 
						?><br/><br/>

						<div class="napomena">
							Napomena: LEFT JOIN ključna reč vraća sve zapise iz leve tabele("Studenti"), čak iako nema
							poklapanja sa desnom tabelom("Ispiti"). U poljima gde nema poklapanja će stajati vrednost NULL, 
							dok će u poljima gde postoje poklapanja biti selektovane vrednosti iz upita.
							
						</div><br/>
						
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=16'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="inner_join.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="right_join.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

