<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL NULL FUNKCIJE</h4>
						<p>
							MySQL funkcije IFNULL() i COALESCE(), omogućavaju vraćanje alternativne vrednosti ukoliko je navedena vrednost NULL.
						</p>
						
					</div>
					
					<div class="box_patern">
						<p>
							Primena ovih funkcija najbolje se vidi na primeru. Pogledajte sledeću tabelu:
						</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela_null_functions.php");
						?><br/>
						<p>
							Pretpostavite da su kolona "PrviKolokvijum" i "DrugiKolokvijum" opcione, u zavisnosti od toga
							da li je student radio te kolokvijume. Ukoliko student ne izađe na neki od ova dva kolokvijuma, 
							vrednost ovih polja može biti NULL. To je slučaj sa kolonom "PrviKolokvijum" za studenta sa id-em 4.
						</p>
						<p>
							Pogledajte sledeću SELECT naredbu:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa, (PrviKolokvijum+DrugiKolokvijum)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;<span>	
						</div><br/>
						<p>
							U slučaju da je neka vrednost u jednoj od ove dve kolone NULL, rezultat upita biće NULL. Rešenje u ovakvim
							situacijama su IFNULL() i COALESCE() MySQL funkicje:
						</p>
						<h4>IFNULL()</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa, (IFNULL(PrviKolokvijum,0)+IFNULL(DrugiKolokvijum,0))</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;<span>	
						</div><br/>
						<h4>COALESCE()</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">Ime, Prezime, Indeks, GodUpisa, (COALESCE(PrviKolokvijum,0)+COALESCE(DrugiKolokvijum,0))</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Studenti;<span>	
						</div><br/>
					</div>
				
					<div class="napred/nazad">
					<a href="insert_into_select.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="comments.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

