<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>MySQL Operators</h4>
						<p>
							U ovom odeljku predstavljeni su SQL operatori:	
							<ul>
								<li>Aritmetički operatori</li>
								<li>Bitski operatori(vrše poređenje po bitovima)</li>
								<li>Komparacioni operatori</li>
								<li>Združeni operatori</li>
								<li>Logički operatori</li>
							</ul>
						</p>
					</div>
					<div class="box_patern">
						<h4>SQL ARITMETIČKI OPERATORI</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>+</td>
									<td>Sabiranje</td>
								</tr>
								<tr>
									<td>-</td>
									<td>Oduzimanje</td>
								</tr>
								<tr>
									<td>*</td>
									<td>Množenje</td>
								</tr>
								<tr>
									<td>/</td>
									<td>Deljenje</td>
								</tr>
								<tr>
									<td>%</td>
									<td>Moduo</td>
								</tr>
							</tbody>
						</table>	
					</div>
					<div class="box_patern">
						<h4>SQL BITSKI OPERATORI</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>&</td>
									<td>Bitsko I</td>
								</tr>
								<tr>
									<td>|</td>
									<td>Bitsko ILI</td>
								</tr>
								<tr>
									<td>^</td>
									<td>Bitsko ekskluzivno ILI</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="box_patern">
						<h4>SQL KOMPRARACIONI OPERATORI</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>=</td>
									<td>Jednakost</td>
								</tr>
								<tr>
									<td>></td>
									<td>Veće od</td>
								</tr>
								<tr>
									<td><</td>
									<td>Manje od</td>
								</tr>
								<tr>
									<td>>=</td>
									<td>Veće ili jednako od</td>
								</tr>
								<tr>
									<td><=</td>
									<td>Manje ili jedanko od</td>
								</tr>
								<tr>
									<td><></td>
									<td>Nije jednako</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="box_patern">
						<h4>SQL ZDRUŽENI OPERATORI</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>+=</td>
									<td>x+=5 -> x=x+5</td>
								</tr>
								<tr>
									<td>-=</td>
									<td>x-=5 -> x=x-5</td>
								</tr>
								<tr>
									<td>*=</td>
									<td>x*=5 -> x=x*5</td>
								</tr>
								<tr>
									<td>/=</td>
									<td>x/=5 -> x=x/5</td>
								</tr>
								<tr>
									<td>%=</td>
									<td>x%=5 -> x=x%5</td>
								</tr>
								<tr>
									<td>&=</td>
									<td>x&=5 -> x=x&5</td>
								</tr>
							</tbody>
						</table>
					</div>
					<div class="box_patern">
						<h4>SQL LOLGIČKI OPERATORI</h4>
						<table class="paleBlueRows">
							<thead>
								<tr>
									<th>Operator</th>
									<th>Opis</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>ALL</td>
									<td>Vraća TRUE ako su ispunjeni svi uslovi u ugnježdenom upitu.</td>
								</tr>
								<tr>
									<td>AND</td>
									<td>Vraća TRUE ako su svi uslovi odvojeni sa AND tačni.</td>
								</tr>
								<tr>
									<td>ANY, SOME</td>
									<td>Vraća TRUE ako je ispunjen bilo koji uslov u ugnježdenom upitu.</td>
								</tr>
								<tr>
									<td>BETWEEN</td>
									<td>Vraća TRUE ako se operand nalazi unutar definisanog opsega.</td>
								</tr>
								<tr>
									<td>EXISTS</td>
									<td>Vraća TRUE ako ugnježden upit vraća jedan ili više zapisa.</td>
								</tr>
								<tr>
									<td>IN</td>
									<td>Vraća TRUE ako je operand jednak nekom iz definisane liste.</td>
								</tr>
								<tr>
									<td>LIKE</td>
									<td>Vraća TRUE ako operand ispunjava definisani "patern".</td>
								</tr>
								<tr>
									<td>NOT</td>
									<td>Prikazuje zapis ako uslov(i) nisu ispunjeni.</td>
								</tr>
								<tr>
									<td>OR</td>
									<td>Vraća TRUE ako je neki od uslova odvojenih sa OR tačan.</td>
								</tr>
							</tbody>
						</table>
					</div>
					
					<div class="napred/nazad">
					<a href="functions.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="data_types.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

