<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL RIGHT JOIN</h4>
						<p>
							Ključna reč RIGHT JOIN selektuje sve zapise iz desne tabele(tabela2) i zapise iz leve tabele(tabela1) kod kojih 
							postoji poklapanje u odgovarajućoj koloni sa desnom tabelom.<br/> U slučaju ne poklapanja vrednosti u odgovarajućim
							kolonama, pridružena polja će imati NULL vrednost.
						</p><hr>
						<h4>SQL RIGHT JOIN SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">ime_kolone(a)</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">RIGHT JOIN</span> <span class="italic_slova_upit">tabela2</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">tabela1.ime_kolone=tabela2.ime_kolone;</span>
						</div><br/>
						<p>
							Napomena: U nekim bazama podataka RIGHT JOIN se naziva RIGHT OUTER JOIN.
						</p><br/>
						
						<center><img id="right_join" src="../images/right_join.png"></center>
						
					</div>
					<div class="box_patern">
						<p>U primerima za JOIN upite koriste se 2 tabele, "Studenti" i "Ispiti":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Ispiti":</h4>
						<?php
							include("tabela_ispiti.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL RIGHT JOIN PRIMER</h4>
						<p>
							U sledećem primeru biće selektovane informacije o ispitima iz tabele "Ispiti" i studentima
							iz tabele "Studenti" koji su te ispite polagali.
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">
								Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, 
								Ispiti.ImeIspita, Ispiti.Ocena 
							</span><br/>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">Ispiti</span><br/>
							<span class="plava_slova_upit">RIGHT JOIN</span> <span class="italic_slova_upit">Studenti</span>
							<span class="plava_slova_upit">ON</span>
							<span class="italic_slova_upit">Ispiti.IdStudent=Studenti.IdStudent;</span>
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Studenti.Ime, Studenti.Prezime, Studenti.Indeks, Studenti.GodUpisa, Ispiti.ImeIspita, Ispiti.Ocena FROM Ispiti RIGHT JOIN Studenti ON Ispiti.IdStudent=Studenti.IdStudent' );  </script> "; 
						?><br/><br/>

						<div class="napomena">
							Napomena: RIGHT JOIN ključna reč vraća sve zapise iz desne tabele("Studenti"), čak iako nema
							poklapanja sa levom tabelom("Ispiti"). U poljima gde nema poklapanja će stajati vrednost NULL, 
							dok će u poljima gde postoje poklapanja biti selektovane vrednosti iz upita.
						</div><br/>
						<div class="napomena">
							Napomena: LEFT JOIN i RIGHT JOIN ključne reči su funkcionalno potpuno jednake, tj. mogu
							da zamene jedna drugu samo je potrebno ispravno ih rasporediti u upitu.
							
						</div><br/>
						
					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=17'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="left_join.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="full_join.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

