<?php include("header.php"); ?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL SELECT UPIT</h4>
						<p>Select upit se koristi za odabir informacija iz određene tabele u nekoj bazi podataka. 
						   Select naredba definiše listu kolona(jednu ili više kolona iz tabele) koje će biti uključene u rezultujuću tabelu.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">kolona1, kolona2, ...</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">ime_tabele;</span>
						</div>
						<p>
							Kolona1 i kolona2 predstavljaju imena kolona u tabeli iz koje želite da odaberete podatke.<br/>
							U slučaju da želite da odaberete sve kolone iz neke tabele umesto imena kolone treba staviti *.<br/>
							Takav upit izgleda ovako:
						</p>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">*</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">ime_tabele;</span>
						</div><br/>
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>SELECT UPIT PRIMER</h4>
						<p>
							U sledećem primeru SELECT upitom odabrane su kolone Ime, Prezime i Fakultet iz tabele "Studenti".
						</p>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">Ime, Prezime, Fakultet</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">Studenti;</span>
						</div><br/><hr>
						<p>Rezultat izvršenog upita je:</p>
						<div id="selectExample">
							
						</div>
						<?php
							echo " <script> executeQueryInDiv('#selectExample', 'SELECT Ime,Prezime,Fakultet FROM studenti'); </script> ";
						?>
					</div>

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=1'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="syntax.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="select_distinct.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

