<?php include("header.php"); ?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL SELECT DISTINCT UPIT</h4>
						<p>Select Distinct upit se koristi za vraćanje samo različitih vrednosti iz određene tabele. 
						   Unutar tabele, neka kolona često sadrži više istih tj. dupliranih vrednosti.
						   U slučaju da želite da izdvojite samo različite vrednosti, to je moguće postići sa SELECT DISTINCT naredbom.
						</p><hr>
						<h4>SINTAKSA UPITA</h4>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT DISTINCT</span> <span style="font-size:15px; font-style:italic;">kolona1, kolona2, ...</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">ime_tabele;</span>
						</div><br/>
					</div>
					
					<div class="box_patern">
						<h4>IZGLED TABELE "Studenti" U BAZI PODATAKA</h4>
						<div id="baza_primer">
						</div>
						<?php
							include("tabela.php");
							//echo " <script> executeQueryInDiv('#baza_primer', 'SELECT * FROM studenti'); </script> ";
						?>
						
						
					</div>
					<div id="primer" class="box_patern">
						<h4>SELECT UPIT VS SELECT DISTINCT UPIT PRIMER</h4>
						<p>
							U sledećem primeru SELECT upitom odabrana je kolona Fakultet iz tabele "Studenti". 
							Zatim je takođe odabrana kolona Fakultet, ali sa SELECT DISTINCT upitom.	
						</p>
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT</span> <span style="font-size:15px; font-style:italic;">Fakultet</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">Studenti;</span>
						</div><br/>
						<p>Rezultat naredbe SELECT je:</p>
						<div id="selectExample">
							
						</div>
						<?php
							echo " <script> executeQueryInDiv('#selectExample', 'SELECT Fakultet FROM studenti'); </script> ";
						?>
						<br/><br/><hr><br/><br/>
						
						<div class="kod">
							<span style="color:blue; font-size:15px;">SELECT DISTINCT</span> <span style="font-size:15px; font-style:italic;">Fakultet</span><br/>
							<span style="color:blue; font-size:15px;">FROM</span> <span style="font-size:15px; font-style: italic;">Studenti;</span>
						</div><br/>
						<p>Rezultat naredbe SELECT DISTINCT je:</p>
						<div id="selectDistinctExample">
							
						</div>
						<?php
							echo " <script> executeQueryInDiv('#selectDistinctExample', 'SELECT DISTINCT Fakultet FROM studenti'); </script> ";
						?>
						
						<br/><hr><br/>
						
						<div class="napomena">
						Analizom dobijenih rezultata uočava se razlika između SELECT i SELECT DISTINCT naredbe.
						Kao što možete primetiti SELECT upit je "izvadio" iz baze naziv fakulteta za svakog studenta ponaosob, 
						dok je SELECT DISTINCT upit "prošao" kroz kolonu "Fakultet" i "izvadio" iz baze samo različite nazive fakulteta
						bez ponavljanja kao u slučaju SELECT-a.
						</div>
						
					</div>

					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=2'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					<div class="napred/nazad">
					<a href="select.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="where.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

