<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL UNION OPERATOR</h4>
						<p>
							SQL UNION OPERATOR se koristi za kombinovanje skupa rezultata dve ili više SELECT naredbi.<br/>
							<ul>
								<li>
									Svaka SELECT naredba unutar UNION operatora mora imati isti broj 	kolona.
								</li>
								<li>
									Sve kolone moraju biti istog tipa podataka.
								</li>
							</ul>
							
				
						</p><hr>
						<h4>SQL UNION SINTAKSA</h4>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela1</span><br/>
							<span class="plava_slova_upit">UNION</span><br/>
							<span class="plava_slova_upit">SELECT</span> <span class="italic_slova_upit">ime_kolone(a)</span>
							<span class="plava_slova_upit">FROM</span> <span class="italic_slova_upit">tabela2;</span>
						</div><br/>
						<p>
							Imena kolona u rezultujućoj tabeli, obično su navedena redosledom kao u prvoj "SELECT" naredbi. 
						</p><br/>
						<div class="napomena">
							Napomena: UNION operator "selektuje" samo različite vrednosti, da bi bili "selektovani" i duplikati
							koristi se UNION ALL operator.
						</div><br/>
					</div>
					
					<div class="box_patern">
						<p>Za ovaj primer koriste se 2 tabele, "Studenti" i "Studenti_SI":</p>
						<h4>Tabela "Studenti":</h4>
						<?php
							include("tabela.php");
						?><br/><hr>	
						<h4>Tabela "Studenti_SI":</h4>
						<?php
							include("studenti_si.php");
						?><br/>
						
					</div>
					<div class="box_patern">
						<h4>SQL UNION PRIMER</h4>
						<p>
							Cilj sledećeg primera je pravljenje liste studenata sa "ETF"-a, dakle vrši se unija tabela
							"Studenti" i "Studenti_SI" za zadati uslov, gde je kolona fakultet "ETF" :
						</p>
						<div class="kod">
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Ime,</span> <span class="italic_slova_upit">Prezime,</span>
							<span class="italic_slova_upit">Indeks,</span> <span class="italic_slova_upit">GodUpisa,</span>
							<span class="italic_slova_upit">Fakultet,</span> <span class="italic_slova_upit">Smer,</span>
							<span class="italic_slova_upit">Prosek</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Studenti</span><br/> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">Fakultet='ETF'</span><br/><span class="plava_slova_upit">UNION</span><br/>
							<span class="plava_slova_upit">SELECT</span> 
							<span class="italic_slova_upit">Ime,</span> <span class="italic_slova_upit">Prezime,</span>
							<span class="italic_slova_upit">Indeks,</span> <span class="italic_slova_upit">GodUpisa,</span>
							<span class="italic_slova_upit">Fakultet,</span> <span class="italic_slova_upit">Smer,</span>
							<span class="italic_slova_upit">Prosek</span> <span class="plava_slova_upit">FROM</span>
							<span class="italic_slova_upit">Studenti_SI</span><br/> <span class="plava_slova_upit">WHERE</span>
							<span class="italic_slova_upit">Fakultet='ETF'</span><br/> <span class="plava_slova_upit">ORDER BY</span>
							<span class="italic_slova_upit">Prosek;</span>
							
							
							
						</div><br/>
						<p>Rezultat izvršenog upita je:</p>
					
						<div id="Example1">
							
						</div>
						<?php
							echo "  <script> executeQueryInDiv('#Example1','SELECT Ime, Prezime, Indeks, GodUpisa, Fakultet, Smer, Prosek FROM Studenti WHERE Fakultet=\'ETF\' UNION SELECT Ime, Prezime, Indeks, GodUpisa, Fakultet, Smer, Prosek FROM Studenti_SI WHERE Fakultet=\'ETF\' ORDER BY Prosek' );  </script> "; 
						?><br/><br/>

					</div>
					
					<div id="div_link_za_tryYourSelf" class="blueHover">
					<a href="<?php echo 'tryYourSelf.php?idTheme=20'; ?>"  target="_blank">Sastavite upit samostalno --></a>
					</div><br/><br/>
					
					<div class="napred/nazad">
					<a href="self_join.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="group_by.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

