<?php 
	include("header.php");
	include("../server_pages/config.php"); 
?>
	
			<div id="content">
				<?php include("navigation.php"); ?>
				<div id="content_right">
					<div id="upit_info" class="box_patern">
						<h4>SQL UNIQUE CONSTRAINT</h4>
						<p>
							UNIQUE ograničenje osigurava da su sve vrednosti u koloni različite.<br/> I UNIQUE i PRIMARY_KEY
							ograničenja osiguravaju jedinstvene vrenosti u koloni, međutim jedna tabela može imati više
							UNIQUE ograničenja, a samo jedno PRIMARY_KEY.
						</p>
					</div>
					<div class="box_patern">
						<h4>SQL UNIQUE SA NAREDBOM CREATE TABLE</h4>
						<p>
							Sledeća naredba kreira UNIQUE ograničenje na koloni ID prilikom kreiranja tabele "Studenti".
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Lasttname varchar(255)</span>,<br/>
							<span class="plava_slova_upit">UNIQUE</span> <span class="italic_slova_upit">(ID)</span><br/>
							<span class="italic_slova_upit">);</span>
						</div><br/><hr>
						<p>
							Za imenovanje UNIQUE ograničenja, ili definisanje UNIQUE ograničenja na više kolona, koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">CREATE TABLE</span> <span class="italic_slova_upit">Studenti (</span><br/>
							<span class="italic_slova_upit">ID int</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Firstname varchar(255)</span> <span class="plava_slova_upit">NOT NULL</span>,<br/>
							<span class="italic_slova_upit">Lasttname varchar(255)</span>,<br/>
							<span class="plava_slova_upit">CONSTRAINT</span> <span class="italic_slova_upit">UC_Student</span> <span class="plava_slova_upit">UNIQUE</span> 
							<span class="italic_slova_upit">(ID, Firstname)</span><br/>
							<span class="italic_slova_upit">);</span><br/>
						</div>
						
					</div>
					<div class="box_patern">
						<h4>SQL UNIQUE SA NAREDBOM ALTER TABLE</h4>
						<p>	
							Za kreiranje UNIQUE ograničenja na koloni "ID" kada je tabela već kreirana, koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD UNIQUE</span> <span class="italic_slova_upit">(ID);</span><br/>
						</div><br/><hr>
						<p>
							Za imenovanje UNIQUE ograničenja, ili definisanje UNIQUE ograničenja na više kolona, koristi se sledeća naredba:
						</p>
						<div class="kod">
							<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
							<span class="plava_slova_upit">ADD CONSTRAINT</span> <span class="italic_slova_upit">UC_Student</span> 
							<span class="plava_slova_upit">UNIQUE</span> <span class="italic_slova_upit">(ID, Firstname);</span>
						</div>
						
					</div>
					<div class="box_patern">
							<h4>DROP UNIQUE CONSTRAINT</h4>
							<p>	
								Sledećom naredbom briše se UNIQUE ograničenje:
							</p>
							<div class="kod">
								<span class="plava_slova_upit">ALTER TABLE</span> <span class="italic_slova_upit">Studenti</span><br/>
								<span class="plava_slova_upit">DROP INDEX</span> <span class="italic_slova_upit">UC_Student;</span><br/>
							</div>
						</div>
					
					<div class="napred/nazad">
					<a href="not_null.php" id="nazad" class="myButton"> < Nazad</a>
					<a href="primary_key.php" id="napred" class="myButton">Napred ></a>
					</div>
				</div>
			</div>
<?php include("footer.php"); ?>			

