<?php
	include("config.php");
	$conn = connectToDatabase();
	
	do{
		$query = "SELECT * FROM kviz ORDER BY RAND() LIMIT 1";
		$stmt = $conn->prepare($query);
		$stmt->execute();
		$result = $stmt->get_result();
		if($result->num_rows > 0){
			
				$row = $result->fetch_assoc();
				
				$pitanje = $row['tekstPitanja'];
				$idPitanje = $row['idPitanje'];
				$odgovor1 = $row['odgovor1'];
				$odgovor2 = $row['odgovor2'];
				$odgovor3 = $row['odgovor3'];
				$odgovor4 = $row['odgovor4'];
				$isOdgovor4NULL = empty($odgovor4);
				$isOdgovor3NULL = empty($odgovor3);
				$tacanOdgovor = $row['tacanOdgovor'];
				setcookie("tacanOdgovor", $tacanOdgovor, time()+60*60 ,"/");
				

			
		}else{
			
			disconnectFromDatabase($conn);
			die("Greška pri učitavanju pitanja: ".$conn->error);
		}
	}while(thereWasQuestion($idPitanje));
			disconnectFromDatabase($conn);
			
			echo"	
				
					<div id='question_text'>
						$pitanje<br/>
					</div><br/>
					<div>
						<form id='quiz_form'>
							
							<input type='radio' name='answer' value=\"".htmlentities($odgovor1)."\">$odgovor1<br/>
							<input type='radio' name='answer' value=\"".htmlentities($odgovor2)."\">$odgovor2<br/>
				";
							if(!$isOdgovor3NULL){
								
								echo"
								
								<input type='radio' name='answer' value=\"".htmlentities($odgovor3)."\">$odgovor3<br/>
								
								";
							}
							
				
							if($isOdgovor4NULL){echo"<br/>";}
							
							if(!$isOdgovor4NULL){
								
								echo"
								<input type='radio' name='answer' value=\"".htmlentities($odgovor4)."\">$odgovor4<br/><br/>
								";
							}
			echo"
							<input type='submit' id='next_question' class='myButton' value='Sledeće pitanje' />
						</form>
					</div>

					
			";
				

	
	function thereWasQuestion($idQuestion){
		// ovde ulazi ako je prvo pitanje
		if(!isset($_COOKIE['passedQuestions'])){
			setcookie("passedQuestions[0]", $idQuestion, time()+60*60 ,"/");
			return false;
		//ovde ulazi ako nije prvo pitanje
		}else{
			$n = count($_COOKIE['passedQuestions']);
			// ovde ulazi ako je poslednje pitanje
			if($n == 10){
				for($i=0; $i<$n; $i++){
					setcookie("passedQuestions[$i]","", time()-60*60 ,"/");
				}
				//setcookie("passedQuestions[0]", $idQuestion, time()+60*60 ,"/");
				return false;
			}
			
		}
		//ispitivanje da li je pitanje vec bilo
		for($i=0; $i<$n; $i++){
			$br = intval($_COOKIE['passedQuestions']["$i"]);
			if($br == $idQuestion) return true;
		}
		setcookie("passedQuestions[$n]", $idQuestion, time()+60*60 ,"/");
		return false;
	}

	
?>